#ifndef lint
static const char yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93";
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING (yyerrflag!=0)
extern int yyparse(void);
#define YYPREFIX "yy"
#line 23 "ldgram.y"
/*

 */

#define DONTDECLARE_MALLOC

#include "bfd.h"
#include "sysdep.h"
#include "bfdlink.h"
#include "ld.h"
#include "ldexp.h"
#include "ldver.h"
#include "ldlang.h"
#include "ldfile.h"
#include "ldemul.h"
#include "ldmisc.h"
#include "ldmain.h"
#include "mri.h"
#include "ldctor.h"
#include "ldlex.h"

#ifndef YYDEBUG
#define YYDEBUG 1
#endif

static enum section_type sectype;

lang_memory_region_type *region;

bfd_boolean ldgram_want_filename = TRUE;
FILE *saved_script_handle = NULL;
bfd_boolean force_make_executable = FALSE;

bfd_boolean ldgram_in_script = FALSE;
bfd_boolean ldgram_had_equals = FALSE;
bfd_boolean ldgram_had_keep = FALSE;
char *ldgram_vers_current_lang = NULL;

#define ERROR_NAME_MAX 20
static char *error_names[ERROR_NAME_MAX];
static int error_index;
#define PUSH_ERROR(x) if (error_index < ERROR_NAME_MAX) error_names[error_index] = x; error_index++;
#define POP_ERROR()   error_index--;
#line 67 "ldgram.y"
typedef union {
  bfd_vma integer;
  struct big_int
    {
      bfd_vma integer;
      char *str;
    } bigint;
  fill_type *fill;
  char *name;
  const char *cname;
  struct wildcard_spec wildcard;
  struct wildcard_list *wildcard_list;
  struct name_list *name_list;
  int token;
  union etree_union *etree;
  struct phdr_info
    {
      bfd_boolean filehdr;
      bfd_boolean phdrs;
      union etree_union *at;
      union etree_union *flags;
    } phdr;
  struct lang_nocrossref *nocrossref;
  struct lang_output_section_phdr_list *section_phdr;
  struct bfd_elf_version_deps *deflist;
  struct bfd_elf_version_expr *versyms;
  struct bfd_elf_version_tree *versnode;
} YYSTYPE;
#line 86 "y.tab.c"
#define INT 257
#define NAME 258
#define LNAME 259
#define PLUSEQ 260
#define MINUSEQ 261
#define MULTEQ 262
#define DIVEQ 263
#define LSHIFTEQ 264
#define RSHIFTEQ 265
#define ANDEQ 266
#define OREQ 267
#define OROR 268
#define ANDAND 269
#define EQ 270
#define NE 271
#define LE 272
#define GE 273
#define LSHIFT 274
#define RSHIFT 275
#define UNARY 276
#define END 277
#define ALIGN_K 278
#define BLOCK 279
#define BIND 280
#define QUAD 281
#define SQUAD 282
#define LONG 283
#define SHORT 284
#define BYTE 285
#define SECTIONS 286
#define PHDRS 287
#define SORT 288
#define DATA_SEGMENT_ALIGN 289
#define DATA_SEGMENT_END 290
#define SIZEOF_HEADERS 291
#define OUTPUT_FORMAT 292
#define FORCE_COMMON_ALLOCATION 293
#define OUTPUT_ARCH 294
#define INHIBIT_COMMON_ALLOCATION 295
#define INCLUDE 296
#define MEMORY 297
#define DEFSYMEND 298
#define NOLOAD 299
#define DSECT 300
#define COPY 301
#define INFO 302
#define OVERLAY 303
#define DEFINED 304
#define TARGET_K 305
#define SEARCH_DIR 306
#define MAP 307
#define ENTRY 308
#define NEXT 309
#define SIZEOF 310
#define ADDR 311
#define LOADADDR 312
#define MAX_K 313
#define MIN_K 314
#define STARTUP 315
#define HLL 316
#define SYSLIB 317
#define FLOAT 318
#define NOFLOAT 319
#define NOCROSSREFS 320
#define ORIGIN 321
#define FILL 322
#define LENGTH 323
#define CREATE_OBJECT_SYMBOLS 324
#define INPUT 325
#define GROUP 326
#define OUTPUT 327
#define CONSTRUCTORS 328
#define ALIGNMOD 329
#define AT 330
#define PROVIDE 331
#define CHIP 332
#define LIST 333
#define SECT 334
#define ABSOLUTE 335
#define LOAD 336
#define NEWLINE 337
#define ENDWORD 338
#define ORDER 339
#define NAMEWORD 340
#define ASSERT_K 341
#define FORMAT 342
#define PUBLIC 343
#define BASE 344
#define ALIAS 345
#define TRUNCATE 346
#define REL 347
#define INPUT_SCRIPT 348
#define INPUT_MRI_SCRIPT 349
#define INPUT_DEFSYM 350
#define CASE 351
#define EXTERN 352
#define START 353
#define VERS_TAG 354
#define VERS_IDENTIFIER 355
#define GLOBAL 356
#define LOCAL 357
#define VERSIONK 358
#define INPUT_VERSION_SCRIPT 359
#define KEEP 360
#define EXCLUDE_FILE 361
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    0,   25,   33,   32,   35,   30,   34,
   34,   36,   36,   36,   36,   36,   36,   36,   36,   36,
   36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
   36,   36,   36,   36,   36,   36,   36,   41,   36,   36,
   36,   37,   37,   37,   39,   39,   38,   38,   13,   13,
   13,   40,   40,   40,   43,   29,   42,   42,   44,   44,
   44,   44,   44,   44,   44,   44,   44,   44,   44,   44,
   44,   44,   44,   44,   44,   44,   44,   55,   44,   44,
   56,   44,   44,   44,   54,   54,   54,   54,   54,   54,
   46,   57,   57,   57,   52,   52,   15,   15,   15,   16,
   16,   16,   16,   10,   10,   11,   11,   62,   62,   62,
   63,   64,   63,   65,   65,   65,   65,   65,   65,   65,
   65,   66,   66,   67,   67,   17,   17,   17,   17,   17,
    9,    8,    8,   22,   22,   22,   22,   22,   22,   22,
   22,   60,   60,   59,   59,   59,   61,   61,   45,   69,
   69,   69,   70,   68,   71,   72,   24,   24,   73,   73,
   74,   74,   48,   49,   49,   75,   75,   50,   76,   76,
   51,   51,   19,   19,   19,   77,    3,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,   14,   14,    4,
    4,   78,   79,   80,   81,   82,   58,   83,   84,   86,
   87,   88,   58,   89,   90,   58,   91,   91,   91,   91,
   91,   23,   23,   23,    2,    2,    2,    2,    7,    7,
   21,   21,   12,   12,   20,   20,   85,   92,   93,   94,
   85,   47,   95,   95,   97,   98,   96,    5,   18,   18,
   18,    6,    6,  100,   31,  101,   53,   99,   99,  102,
  102,  102,   28,   28,   27,   27,   27,   27,   27,   26,
   26,  103,   26,  105,   26,  104,  104,
};
short yylen[] = {                                         2,
    2,    2,    2,    2,    1,    0,    4,    0,    2,    3,
    0,    2,    4,    1,    1,    2,    1,    4,    4,    3,
    2,    4,    3,    4,    4,    4,    4,    4,    2,    2,
    2,    4,    4,    2,    2,    2,    2,    0,    5,    2,
    0,    3,    2,    0,    1,    3,    1,    3,    0,    1,
    3,    1,    2,    3,    0,    2,    2,    0,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    4,    4,
    4,    4,    8,    4,    1,    1,    4,    0,    5,    4,
    0,    5,    4,    4,    1,    3,    2,    1,    3,    2,
    4,    2,    2,    0,    4,    2,    1,    1,    1,    1,
    5,    4,    8,    2,    1,    3,    1,    1,    3,    4,
    1,    0,    5,    2,    1,    1,    1,    4,    1,    4,
    4,    2,    1,    0,    1,    1,    1,    1,    1,    1,
    1,    2,    0,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    3,    3,    6,    1,    0,    5,    2,
    3,    0,    0,    7,    3,    3,    0,    3,    1,    2,
    1,    2,    4,    4,    3,    3,    1,    4,    3,    0,
    1,    1,    0,    2,    3,    0,    2,    2,    3,    4,
    2,    2,    2,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    5,
    3,    3,    4,    1,    1,    4,    4,    4,    4,    4,
    6,    4,    4,    1,    6,    6,    6,    3,    0,    4,
    0,    0,    0,    0,    0,    0,   16,    0,    0,    0,
    0,    0,   17,    0,    0,    7,    1,    1,    1,    1,
    1,    3,    0,    2,    3,    2,    6,   10,    2,    1,
    0,    1,    2,    0,    0,    3,    0,    0,    0,    0,
   11,    4,    0,    2,    0,    0,    6,    1,    0,    3,
    5,    0,    3,    0,    2,    0,    5,    1,    2,    4,
    5,    6,    1,    2,    0,    2,    4,    4,    8,    1,
    3,    0,    9,    0,    7,    0,    1,
};
short yydefred[] = {                                      0,
   55,    8,    6,  274,    0,    1,   58,    2,   11,    4,
    0,    3,    0,    0,    0,    0,    0,    0,    0,  278,
    0,    0,    0,    0,   75,    0,   76,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  171,  172,    0,    0,
   78,    0,    0,    0,   68,   57,   59,   60,   61,   62,
   63,   64,   65,   66,   67,    0,    0,   14,    0,    0,
    0,    0,   15,    0,    0,    0,   17,   44,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  290,    0,    0,    0,    0,    0,  279,  134,  135,  136,
  137,  176,  138,  139,  140,  141,  176,   94,  263,    0,
    0,    5,   81,    0,    0,    0,    0,    0,    0,    0,
  170,    0,    0,    0,    0,    0,    0,  143,  142,   96,
    0,    0,   38,    0,  204,  214,    0,    0,    0,    0,
    0,    0,    0,  205,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   47,    0,   45,
    0,    0,   31,   21,    0,    0,    0,   35,   50,    0,
   52,    0,   40,   10,    0,    0,    0,    0,    0,    0,
    0,  144,    0,  145,    0,    0,    0,    0,   58,  153,
  152,    0,    0,    0,    0,    0,  165,  167,    0,    0,
    0,    0,   85,   88,    0,    0,    0,    0,    0,    0,
    0,    0,   11,    0,    0,  182,  178,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  181,  183,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   43,    0,
    0,    0,    0,    0,    0,   53,    0,  294,    0,    0,
    0,  291,  280,    0,    0,    0,   91,  228,  234,   93,
   92,  265,  262,  264,    0,   72,   74,    0,    0,    0,
   69,   70,   80,   95,  163,  147,  164,    0,  168,    0,
    0,  174,   83,   87,   90,    0,   77,    0,   71,  176,
   84,    0,    0,    0,    0,    0,    0,  179,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  184,  185,  186,
    0,    0,    0,   48,   46,   42,    0,    0,   33,   32,
   51,   54,    0,    0,    0,    0,  283,  281,    0,    0,
    0,    0,    0,    0,   82,    0,    0,  149,    0,  150,
  166,  169,  175,   86,   89,   79,    0,  277,   39,  210,
  213,    0,  212,  203,  180,  206,  207,  208,    0,    0,
  209,    0,    0,    0,    0,  292,  284,  282,    0,    0,
    0,    0,    0,  250,    0,    0,  235,    0,    0,    0,
  161,    0,    0,  159,    0,  151,  146,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  237,  238,  239,  240,
  241,  244,    0,    0,    0,    0,    0,  223,  246,  249,
  252,    0,    0,    0,    0,  266,    0,  162,  158,  160,
    0,    0,  211,  215,  216,  217,  295,    0,    0,  242,
    0,  245,    0,    0,  229,   94,    0,    0,    0,    0,
   73,  176,    0,    0,    0,    0,    0,  224,    0,    0,
    0,  270,    0,  267,  155,    0,  154,  293,    0,    0,
  220,    0,  230,  236,  273,    0,  176,    0,  247,    0,
   99,   98,  126,  127,  128,  129,  130,    0,    0,  115,
  117,    0,    0,  116,    0,  100,    0,    0,    0,  111,
  119,  123,    0,    0,  257,  271,  156,    0,    0,  176,
  112,    0,   97,    0,    0,  107,    0,  176,  114,  122,
  225,    0,    0,    0,    0,    0,  131,    0,    0,    0,
  105,    0,  109,    0,    0,    0,    0,  258,  231,    0,
  118,    0,  102,  121,    0,    0,    0,  104,  106,  110,
  120,    0,    0,    0,    0,  248,    0,  113,  101,  253,
    0,  255,    0,    0,    0,    0,    0,    0,  255,    0,
  218,  176,    0,  226,  259,    0,  103,  132,  256,    0,
  255,  232,  227,    0,    0,  260,  233,    0,  261,
};
short yydgoto[] = {                                       5,
  208,  402,  547,  438,  409,  468,  406,  594,  548,  550,
  535,  573,  160,  582,  516,  517,  518,  446,  192,  587,
  442,   97,  403,  367,  103,   84,   85,  359,    6,    8,
   12,   10,   11,   15,    9,   78,  152,  149,  151,  162,
  203,   14,    7,   46,   47,   48,   49,   50,   51,   52,
   53,   54,   55,  195,  114,  179,  175,  271,   56,  120,
  554,  520,  521,  549,  522,  523,  524,  181,  280,  279,
  452,  487,  413,  414,  189,  190,  173,  360,  464,  492,
  557,  600,  361,  479,  542,  525,  575,  605,  362,  443,
  433,  574,  601,  608,  176,  274,  363,  470,   19,   13,
   57,   20,  426,  424,  353,
};
short yysindex[] = {                                   -162,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 -200,    0,  -98, 1477, 2455,   28,  136,  -16,  -98,    0,
  355,   23,   24,   74,    0,   98,    0, -104,   32,  116,
  122,  149,  155,  164,  166,  187,    0,    0,  188,  189,
    0,  198,  200,  222,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   56, -159,    0,  -37, -104,
    9, 1420,    0,   13,   18,   35,    0,    0,   62,   66,
   72, 1420,   77,   91,   79,  100,  103,   29, 1420,  112,
    0,  295,  297,  315,  252,  136,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  120,
  128,    0,    0,  130,  139, -104, -104,  140, -104,  -15,
    0,  142, -219,  363, -104,  153,  100,    0,    0,    0,
  284,   -2,    0,    3,    0,    0, 1420, 1420, 1420,  372,
  377,  380,  382,    0,  383,  386,  388,  391,  393,  394,
  398,  400,  401, 1420, 1420, 1612, 1132,    0,  403,    0,
  404,   12,    0,    0, 1180, 2568,  413,    0,    0,  414,
    0,   16,    0,    0, 2568,  319, -230, -230, -223,  385,
  320,    0, 1420,    0,  101,  -97,   95,  427,    0,    0,
    0,  436,  437,  438,  439,  441,    0,    0,  159,  181,
   31,  445,    0,    0,   64, -219,  449,  435,  -14,  -98,
 1420, 1420,    0, 1420, 1420,    0,    0, 1715, 1420, 1420,
 1420, 1420,  239, 1420,  240,  241,  249, 1420, 1420, 1420,
 1420,    0,    0, 1420, 1420, 1420, 1420, 1420, 1420, 1420,
 1420, 1420, 1420, 1420, 1420, 1420, 1420, 1420, 1420, 1420,
 1420, 1420, 1420, 1420, 1420, 2568,  250,  253,    0,  254,
 1420, 1420, 2568, -213,  255,    0,  256,    0,  451,  457,
  259,    0,    0,  -50, 2568,  355,    0,    0,    0,    0,
    0,    0,    0,    0,  261,    0,    0, 1321,  481,  -24,
    0,    0,    0,    0,    0,    0,    0, -104,    0, -104,
  142,    0,    0,    0,    0, -168,    0,   80,    0,    0,
    0, -101, 2568, 2568, 2410, 2568, 2568,    0, 1773, 1785,
 1812, 1851,  484, 1878,  485,  487,  492, 1905, 1916, 1970,
 2068, 2156, 2595, 2607,  697, 2411, 1660,  633,  633,   34,
   34,   34,   34,  168,  168,  165,  165,    0,    0,    0,
 2568, 2568, 2568,    0,    0,    0, 2568, 2568,    0,    0,
    0,    0, -230, -138, -223,  419,    0,    0,  -47, 1259,
 1354, 1259, 1420,  501,    0,  -10,  478,    0,  130,    0,
    0,    0,    0,    0,    0,    0,  505,    0,    0,    0,
    0, 1420,    0,    0,    0,    0,    0,    0, 1420, 1420,
    0,  290, 1420,  491,  493,    0,    0,    0, 1065,  512,
 2168,  226,  497,    0, 2209,  244,    0, 2568, -224,  301,
    0,  302,   52,    0,  245,    0,    0, 2223, 2252, 2263,
  520, 2568, -223,  440, -230, -230,    0,    0,    0,    0,
    0,    0,  528, 1420,   82,  513,  530,    0,    0,    0,
    0,  226,  458,  532,  543,    0,  545,    0,    0,    0,
  523,  546,    0,    0,    0,    0,    0,  533,  491,    0,
 2311,    0, 1420,  470,    0,    0, 1420, -224, 1420,  535,
    0,    0,  272, -223,  471,  -21, 2322,    0,  474,  227,
 2351,    0, 2425,    0,    0,  537,    0,    0,  571,  554,
    0,  988,    0,    0,    0, -224,    0, 1420,    0,  355,
    0,    0,    0,    0,    0,    0,    0,  574,  583,    0,
    0,  584,  590,    0,   -1,    0,  593,  597,   56,    0,
    0,    0,  988,  515,    0,    0,    0, 2505,  -34,    0,
    0,   40,    0,  598,   -6,    0,   -1,    0,    0,    0,
    0,  -62,  603,  604,  606,  607,    0,  610,  -11,   54,
    0,  -27,    0,   -1,  225,  611,  582,    0,    0,  600,
    0,   40,    0,    0,    0,  615,   40,    0,    0,    0,
    0,  402,  337,  550,  582,    0,   57,    0,    0,    0,
  617,    0,  988,  337,   40,  423,  296,  552,    0,  645,
    0,    0,  432,    0,    0,  296,    0,    0,    0,  546,
    0,    0,    0,  296,  546,    0,    0,  546,    0,
};
short yyrindex[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    4,    7,    0,  566,    0,  692,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  -31,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  566,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  653,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  359,    0,    0,  360,    0,
  362,  365,    0,    0,    0,  367,    0,    0,    0,  368,
    0,  369,    0,    0,  700,    0,    0,    0,  585,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   18,   18,
  653,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  370,    0,    0,    0,    0,
    0,    0,  371,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  231, 1219,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  351,  659,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  653,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  399,  406,  408,  416,  417,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  827,  891,  859,  788,  763,  689,  737,  331,
  443,  547,  625,  201,  305,   10,  192,    0,    0,    0,
  418,  421,  424,    0,    0,    0,  425,  428,    0,    0,
    0,    0,    0,  595,  613,    0,    0,    0,    0,  665,
    0,  665,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  616,    0,    0,    0,    0,    0,    0,
  665,  605,    0,    0,    0, -107,    0,  -42,  672,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  395,  631,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  605,    0,  -38,    0,    0,    0,    0,    0,    0,
    0,  444,    0,    0,    0,    0,    0,    0,  616,    0,
    0,    0,    0,    0,    0,    0,    0,  672,    0,    0,
    0,    0,    0,  635,    0,  665,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  639,    0,    0,    0,  672,    0,    0,    0,  923,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  643,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   15,    0,    0,    0,    0,    0,
    0,    0,  665,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   15,    0,   84,    0,    0,    0,
    0,    0,    0,    0,   90,    0,    0,    0,    0,    0,
    0,    0,  -12,    0,   84,    0,    0,    0,    0,    0,
    0,    0,  639,  -12,    0,    0,   93,    0,    0,    0,
    0,    0,    0,    0,    0,   93,    0,    0,    0,  324,
    0,    0,    0,   -9,  324,    0,    0,  -60,    0,
};
short yygindex[] = {                                      0,
  -61,  409,  -92,  328,    0,    0,    0, -485,  180,  214,
  242,  207,    0,  202,   97, -427,    0, -394, -158, -492,
    0,    0, -358,    0,  434,   26,  698,    0,    0,    0,
    0,    0,    0,  586,    0,    0,    0,    0,    0,  668,
    0,  608,    0,    0,    0,    0,    0,    0,    0,    0,
    0, -169,    0,  594,    0,    0,  326,    0, -431,  274,
 -187,  248,    0,    0,  271,    0,  215, -243,    0,    0,
    0,    0,    0,  389,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  599,    0,
    0,   -5,    0,  347,    0,
};
#define YYTABLESIZE 2882
short yytable[] = {                                     172,
  146,  288,  290,   56,  174,  270,    9,  502,  358,  187,
  156,  398,   49,   87,  502,  251,  268,  165,  435,  369,
  272,   17,  412,  378,   17,  187,  301,  273,  501,  257,
  502,  219,  292,  444,  133,  501,  370,  286,  193,  194,
  502,  202,  436,  349,  350,  219,  205,  187,  219,  187,
  187,  501,  187,  187,  187,  250,  148,   16,  201,  257,
  519,  501,  559,  204,  148,  206,  207,  187,  187,  187,
  242,  187,  187,  482,  291,  240,  238,  148,  239,  515,
  241,  502,  222,  223,  412,  246,  553,  536,   79,  374,
  375,  519,  449,  253,  567,  502,  596,  585,  502,  118,
  368,  526,  501,  187,  297,  445,   86,  296,  604,  536,
  602,  265,  219,  100,  119,  133,  501,  490,  606,  501,
  376,   80,  432,  296,   81,  416,  569,  254,  261,   97,
  108,  262,  373,  187,  187,  276,  133,  101,  275,  303,
  304,  254,  306,  307,  254,   98,   99,  309,  310,  311,
  312,  519,  314,  102,  104,  105,  318,  319,  320,  321,
  272,  106,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,  338,  339,
  340,  341,  342,  343,  560,    1,    2,    3,  107,  347,
  348,  188,  259,  260,  108,  558,    4,  148,  121,  287,
  189,  242,  286,  109,  242,  110,  240,  377,  254,  240,
  238,  241,  239,  261,  241,  268,  262,  133,  395,  272,
  122,  289,  251,  533,  286,  267,  111,  112,  113,  188,
  533,  188,  188,  180,  188,  188,  188,  115,  189,  116,
  189,  189,  102,  256,  189,  219,  565,  411,  133,  188,
  188,  188,   18,  188,  188,   18,  533,  489,  189,  189,
  189,  117,  189,  189,  473,  570,  124,  187,  286,  249,
  147,  177,  148,  256,  177,  148,  534,  187,  187,  187,
  187,  187,  187,  187,  187,  188,  534,  268,  191,  177,
  219,  272,  150,  544,  189,  219,   87,  533,  401,  405,
  401,  408,  148,  357,  190,   49,  397,  236,  237,  411,
  270,  533,  187,  219,  533,  188,  188,  187,  219,  153,
  418,  294,  295,  154,  189,  189,  545,  419,  420,  155,
  195,  422,  187,  545,  157,  187,  159,  294,  295,  187,
  187,  254,  190,   41,  190,  190,  187,  158,  190,  513,
  133,  494,  167,  593,  168,  177,  592,  161,  266,  513,
  163,  276,  190,  190,  190,  164,  190,  190,  195,  166,
  195,  195,  461,  169,  195,  148,  170,  177,  394,  485,
  427,  428,  429,  430,  431,  178,  254,  180,  195,  195,
  195,  254,  195,  195,  200,  133,  182,  185,  190,  191,
  133,  477,  196,  268,  527,  481,  200,  483,   33,  254,
  198,  209,  603,  254,  254,   92,  210,  607,  133,  211,
  609,  212,  213,  133,  195,  214,  269,  215,  190,  190,
  216,   43,  217,  218,  200,  200,  528,  219,  200,  220,
  221,  258,  196,  263,  264,  556,  247,  248,  148,  188,
  458,  459,  200,  200,  195,  195,  254,  255,  189,  188,
  188,  188,  188,  188,  188,  188,  188,  277,  189,  189,
  189,  189,  189,  189,  189,  189,  281,  282,  283,  284,
  196,  285,  196,  196,  266,  293,  196,   80,  177,  299,
   81,   82,   83,  123,  188,  300,  313,  315,  316,  188,
  196,  196,  196,  189,  196,  196,  317,  344,  189,  354,
  345,  346,  351,  352,  188,  355,  356,  188,  364,  200,
  366,  188,  188,  189,  384,  386,  189,  387,  188,  268,
  189,  189,  388,  177,   33,  415,  196,  189,  177,  183,
  184,  396,  186,  188,  410,  417,  193,  421,  197,  423,
  425,  434,  269,  177,  439,  437,  177,   43,  447,  448,
  456,  177,  190,  441,  457,  451,  196,  196,  460,  463,
  462,  467,  190,  190,  190,  190,  190,  190,  190,  190,
  466,  148,  469,  472,  193,  471,  193,  193,  195,  286,
  193,  474,  478,  484,  486,  488,  493,  497,  195,  195,
  195,  195,  195,  195,  193,  193,  193,  190,  193,  193,
  498,  499,  190,  529,   88,   89,   90,   91,   93,   94,
   95,   96,  530,  531,  194,  546,  148,  190,  551,  532,
  190,  148,  537,  195,  190,  190,  538,  552,  195,  541,
  193,  190,  435,  572,  561,  562,  568,  563,  546,  148,
  564,  571,  200,  195,  148,  578,  195,  576,  551,  580,
  195,  195,  194,  579,  194,  194,  581,  195,  194,  242,
  193,  193,  583,  568,  240,  238,  595,  239,  586,  241,
  591,  590,  194,  194,  194,  597,  194,  194,  191,  599,
  285,  275,  232,  173,  233,   12,   29,  200,   30,    7,
  196,   16,  200,   34,   36,   37,   23,   20,  276,  286,
  196,  196,  196,  196,  196,  196,  157,  200,  194,  287,
  200,  371,  243,  372,  200,  200,  191,  221,  191,  191,
  269,  200,  191,  242,  229,   25,  192,  288,  240,  238,
  296,  239,   26,  241,   41,  196,  191,  191,  194,  194,
  196,  191,   27,   28,   13,  297,  232,   24,  233,  289,
   22,   18,  197,  124,   19,  196,  148,  125,  196,  465,
  407,  598,  196,  196,  192,  577,  192,  192,  555,  196,
  192,  584,  191,  171,  199,  589,  278,  198,  305,  298,
  228,  480,  539,  540,  192,  192,  566,  588,  302,  192,
  197,  450,  197,  197,  193,  475,  197,    0,    0,    0,
    0,    0,  191,  191,  193,  193,  193,  193,  193,  193,
  197,  197,    0,    0,    0,  197,  202,  198,  198,    0,
  192,  198,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  198,  198,    0,    0,  193,
  198,    0,    0,    0,  193,    0,  197,    0,  199,    0,
  192,  192,    0,    0,    0,    0,  202,  202,    0,  193,
  202,    0,  193,    0,    0,    0,  193,  193,    0,    0,
    0,  198,  194,  193,  202,  202,  197,  197,    0,  202,
  201,    0,  194,  194,  194,  194,  194,  194,  199,  199,
    0,    0,  199,    0,  234,  235,  236,  237,    0,    0,
    0,  198,  198,    0,    0,    0,  199,  199,    0,    0,
    0,  199,    0,    0,    0,    0,    0,  194,    0,    0,
  201,  201,  194,    0,  201,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  191,  194,  201,  201,
  194,  202,    0,  201,  194,  194,  191,  191,  191,  191,
    0,  194,   97,    0,  108,    0,  230,  231,  234,  235,
  236,  237,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  108,  199,  199,    0,  108,    0,    0,    0,    0,
    0,  191,    0,    0,  192,    0,  191,    0,    0,    0,
    0,    0,    0,    0,  192,  192,  192,  192,    0,    0,
    0,  191,    0,  108,  191,  201,    0,    0,  191,  191,
  197,    0,    0,    0,    0,  191,    0,    0,    0,  502,
  197,  197,    0,    0,    0,    0,    0,    0,    0,  192,
    0,    0,    0,    0,  192,  198,  514,  108,    0,    0,
  501,    0,    0,    0,    0,  198,  198,    0,    0,  192,
    0,    0,  192,    0,    0,  197,  192,  192,    0,    0,
  197,    0,    0,  192,    0,    0,    0,    0,  515,    0,
    0,    0,    0,    0,  202,  197,    0,    0,  197,    0,
  198,    0,  197,  197,  202,  198,    0,  144,    0,  197,
    0,    0,    0,    0,  129,  432,    0,  127,    0,  128,
  198,    0,    0,  198,    0,    0,  199,  198,  198,    0,
    0,    0,    0,    0,  198,    0,  199,  199,    0,  202,
    0,    0,    0,    0,  202,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  201,  202,
    0,    0,  202,    0,    0,    0,  202,  202,  201,  201,
    0,  199,    0,  202,  144,    0,  199,    0,    0,    0,
    0,  129,    0,    0,  127,  245,  128,    0,    0,    0,
  108,  199,    0,    0,  199,    0,    0,    0,  199,  199,
  145,    0,  244,  201,    0,  199,    0,    0,  201,    0,
    0,    0,    0,  108,  108,  108,  108,  108,    0,    0,
  108,    0,  144,  201,    0,    0,  201,    0,    0,  129,
  201,  201,  127,  252,  128,    0,    0,  201,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  251,    0,    0,    0,  108,  500,  108,    0,    0,    0,
  108,  222,    0,  108,    0,    0,    0,  145,  222,    0,
    0,  222,    0,  222,    0,    0,    0,    0,  503,  504,
  505,  506,  507,    0,    0,  508,  222,    0,    0,    0,
    0,    0,  108,  108,    0,    0,    0,    0,    0,    0,
    0,  144,    0,    0,    0,    0,    0,    0,  399,    0,
    0,  127,    0,  128,    0,  145,    0,    0,    0,  509,
    0,  510,    0,    0,    0,  511,    0,    0,   43,    0,
    0,  125,  126,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  130,  131,  222,    0,    0,  512,  513,    0,
    0,    0,    0,  132,  133,  134,    0,    0,    0,    0,
    0,    0,    0,  427,  428,  429,  430,  431,  135,    0,
    0,    0,    0,  136,  137,  138,  139,  140,  141,   45,
    0,    0,    0,    0,  145,    0,  144,    0,  125,  126,
    0,    0,    0,  129,    0,    0,  127,    0,  128,  142,
    0,    0,    0,    0,    0,  143,    0,    0,    0,  130,
  131,  404,    0,    0,    0,    0,    0,    0,    0,    0,
  132,  133,  134,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  135,  125,  126,    0,    0,
  136,  137,  138,  139,  140,  141,    0,    0,    0,    0,
    0,    0,  144,    0,    0,    0,    0,  130,  131,  129,
    0,    0,  127,    0,  128,    0,  142,    0,  132,  133,
  134,    0,  143,    0,    0,  222,  222,    0,    0,  145,
    0,    0,    0,  135,    0,    0,    0,    0,  136,  137,
  138,  139,  140,  141,    0,    0,  222,  222,  222,    0,
    0,    0,    0,    0,    0,    0,    0,  222,  222,  222,
    0,    0,    0,    0,  142,  125,  126,    0,    0,    0,
  143,    0,  222,    0,    0,    0,    0,  222,  222,  222,
  222,  222,  222,    0,    0,   45,  130,  131,  400,    0,
    0,    0,    0,    0,    0,  145,    0,  132,  133,  134,
    0,    0,    0,  222,    0,    0,    0,    0,    0,  222,
    0,    0,  135,    0,    0,    0,    0,  136,  137,  138,
  139,  140,  141,    0,    0,    0,    0,    0,   21,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  142,    0,    0,    0,  365,    0,  143,
    0,    0,    0,    0,    0,    0,   22,   23,    0,    0,
  125,  126,   24,   25,   26,   27,   28,   29,    0,    0,
    0,    0,    0,    0,    0,   30,   31,   32,   33,    0,
    0,  130,  131,    0,    0,   34,   35,   36,   37,   38,
   39,    0,  132,  133,  134,   40,   41,   42,  242,  229,
    0,   43,    0,  240,  238,  243,  239,  135,  241,    0,
    0,    0,  136,  137,  138,  139,  140,  141,    0,    0,
    0,  232,   44,  233,  224,    0,  125,  126,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  142,    0,
    0,    0,    0,    0,  143,    0,  242,  130,  131,    0,
    0,  240,  238,    0,  239,  228,  241,    0,  132,  133,
  134,    0,    0,    0,    0,    0,    0,    0,    0,  232,
    0,  233,    0,  135,    0,    0,    0,    0,  136,  137,
  138,  139,  140,  141,   21,  227,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  242,  229,    0,  142,  308,  240,  238,    0,  239,
  143,  241,   22,   23,    0,    0,    0,    0,   24,   25,
   26,   27,   28,   29,  232,    0,  233,  224,    0,    0,
    0,   30,   31,   32,   33,    0,    0,    0,    0,    0,
    0,   34,   35,   36,   37,   38,   39,    0,    0,    0,
    0,   40,   41,   42,    0,    0,    0,   43,  228,  242,
  229,    0,    0,  380,  240,  238,    0,  239,    0,  241,
    0,  242,  229,    0,    0,  381,  240,  238,   44,  239,
    0,  241,  232,    0,  233,  224,    0,    0,  227,    0,
    0,    0,    0,    0,  232,    0,  233,  224,  242,  229,
    0,    0,    0,  240,  238,  382,  239,    0,  241,    0,
    0,    0,    0,    0,    0,    0,  228,    0,    0,    0,
    0,  232,    0,  233,  224,    0,    0,    0,  228,  225,
  226,  230,  231,  234,  235,  236,  237,  242,  229,    0,
    0,  383,  240,  238,    0,  239,  227,  241,    0,    0,
    0,    0,    0,    0,    0,  228,    0,    0,  227,    0,
  232,    0,  233,  224,  242,  229,    0,    0,  385,  240,
  238,    0,  239,    0,  241,    0,    0,    0,    0,  230,
  231,  234,  235,  236,  237,  227,    0,  232,    0,  233,
  224,  242,  229,    0,  228,    0,  240,  238,  389,  239,
    0,  241,  242,  229,    0,    0,    0,  240,  238,  390,
  239,    0,  241,    0,  232,    0,  233,  224,    0,    0,
    0,  228,    0,    0,  227,  232,    0,  233,  224,    0,
    0,    0,  225,  226,  230,  231,  234,  235,  236,  237,
    0,    0,    0,    0,    0,    0,    0,    0,  228,    0,
    0,  227,    0,    0,    0,    0,  242,  229,    0,  228,
  391,  240,  238,    0,  239,    0,  241,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  227,  232,
    0,  233,  224,    0,    0,    0,    0,    0,    0,  227,
  225,  226,  230,  231,  234,  235,  236,  237,    0,    0,
    0,    0,  225,  226,  230,  231,  234,  235,  236,  237,
    0,    0,    0,  228,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  225,
  226,  230,  231,  234,  235,  236,  237,    0,    0,    0,
    0,    0,    0,  227,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  242,  229,    0,    0,    0,  240,
  238,  392,  239,    0,  241,    0,    0,    0,  225,  226,
  230,  231,  234,  235,  236,  237,    0,  232,    0,  233,
  224,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  225,  226,  230,  231,  234,
  235,  236,  237,    0,    0,    0,    0,    0,    0,    0,
    0,  228,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  225,  226,  230,  231,  234,  235,  236,  237,
    0,    0,    0,  225,  226,  230,  231,  234,  235,  236,
  237,  227,  242,  229,    0,    0,    0,  240,  238,    0,
  239,    0,  241,    0,  242,  229,    0,  435,    0,  240,
  238,    0,  239,  393,  241,  232,    0,  233,  224,    0,
    0,    0,    0,    0,    0,    0,    0,  232,    0,  233,
  224,    0,    0,    0,    0,    0,    0,  225,  226,  230,
  231,  234,  235,  236,  237,  242,  229,    0,    0,  228,
  240,  238,    0,  239,    0,  241,    0,    0,    0,  242,
  229,  228,    0,  453,  240,  238,  440,  239,  232,  241,
  233,  224,    0,    0,    0,    0,    0,    0,    0,  227,
    0,    0,  232,    0,  233,  224,    0,    0,  242,  229,
    0,  227,  454,  240,  238,    0,  239,    0,  241,  242,
  229,    0,  228,  455,  240,  238,    0,  239,    0,  241,
    0,  232,    0,  233,  224,    0,  228,    0,    0,    0,
    0,    0,  232,    0,  233,  224,    0,    0,    0,    0,
    0,    0,  227,    0,    0,  225,  226,  230,  231,  234,
  235,  236,  237,    0,    0,  228,  227,  242,  229,    0,
    0,  476,  240,  238,    0,  239,  228,  241,  242,  229,
    0,    0,  491,  240,  238,    0,  239,    0,  241,    0,
  232,    0,  233,  224,    0,  227,    0,    0,    0,    0,
    0,  232,    0,  233,  224,    0,  227,  242,  229,    0,
    0,  495,  240,  238,    0,  239,    0,  241,    0,    0,
    0,    0,    0,    0,  228,    0,    0,    0,    0,    0,
  232,    0,  233,  224,    0,  228,    0,    0,    0,    0,
    0,    0,    0,  225,  226,  230,  231,  234,  235,  236,
  237,    0,    0,    0,  227,  225,  226,  230,  231,  234,
  235,  236,  237,    0,  228,  227,    0,  242,  229,    0,
    0,    0,  240,  238,    0,  239,    0,  241,    0,    0,
    0,  242,  229,    0,    0,  496,  240,  238,    0,  239,
  232,  241,  233,    0,  227,    0,  225,  226,  230,  231,
  234,  235,  236,  237,  232,    0,  233,  224,    0,    0,
  225,  226,  230,  231,  234,  235,  236,  237,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  228,  225,
  226,  230,  231,  234,  235,  236,  237,    0,    0,    0,
  225,  226,  230,  231,  234,  235,  236,  237,    0,    0,
    0,  242,  229,    0,    0,  543,  240,  238,  227,  239,
    0,  241,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  232,    0,  233,  224,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  225,  226,
  230,  231,  234,  235,  236,  237,    0,    0,    0,  225,
  226,  230,  231,  234,  235,  236,  237,    0,  228,    0,
    0,    0,    0,    0,  242,  229,    0,    0,    0,  240,
  238,    0,  239,    0,  241,    0,    0,    0,  225,  226,
  230,  231,  234,  235,  236,  237,    0,  232,  227,  233,
  224,  242,  229,    0,    0,    0,  240,  238,    0,  239,
    0,  241,    0,  242,  229,    0,    0,    0,  240,  238,
    0,  239,    0,  241,  232,    0,  233,    0,    0,    0,
    0,  228,    0,    0,    0,    0,  232,   58,  233,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  230,  231,  234,  235,  236,  237,  379,   59,  228,    0,
    0,  227,  225,  226,  230,  231,  234,  235,  236,  237,
  228,    0,    0,    0,    0,   60,    0,    0,    0,    0,
    0,    0,   58,    0,    0,    0,    0,    0,  227,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  227,    0,   59,    0,    0,    0,    0,    0,   61,    0,
    0,   62,   63,   64,   65,   66,    0,   67,   68,   69,
   60,   70,   71,   72,   73,   74,    0,    0,    0,    0,
   75,   76,   77,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  225,  226,  230,  231,  234,  235,  236,  237,
    0,    0,    0,   61,    0,    0,   62,   63,   64,   65,
   66,    0,   67,   68,   69,    0,   70,   71,   72,   73,
   74,    0,    0,    0,    0,   75,   76,   77,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  225,  226,  230,  231,  234,
  235,  236,  237,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  226,  230,  231,  234,  235,  236,  237,
    0,    0,    0,    0,    0,    0,  230,  231,  234,  235,
  236,  237,
};
short yycheck[] = {                                      92,
   62,  189,  190,    0,   97,  175,    0,   42,   59,    0,
   72,   59,   44,   19,   42,  123,   59,   79,   40,   44,
   59,  123,   33,  125,  123,   41,   41,  125,   63,   44,
   42,   44,  191,  258,   44,   63,  280,   44,  258,  259,
   42,   44,  401,  257,  258,   58,   44,   38,   61,   40,
   41,   63,   43,   44,   45,   44,   42,  258,   61,   44,
  492,   63,  125,   61,  125,  127,  128,   58,   59,   60,
   37,   62,   63,  468,   44,   42,   43,   63,   45,   91,
   47,   42,  144,  145,   33,  147,   93,  515,   61,  258,
  259,  523,   41,  155,   41,   42,  589,   41,   42,   44,
  125,  496,   63,   94,   41,  330,  123,   44,  601,  537,
  596,  173,  125,   40,   59,  125,   63,  476,  604,   63,
   41,  352,   41,   44,  355,  369,  554,   44,  352,   40,
   41,  355,  291,  124,  125,   41,   44,   40,   44,  201,
  202,   58,  204,  205,   61,  123,  123,  209,  210,  211,
  212,  583,  214,  258,  123,   40,  218,  219,  220,  221,
  258,   40,  224,  225,  226,  227,  228,  229,  230,  231,
  232,  233,  234,  235,  236,  237,  238,  239,  240,  241,
  242,  243,  244,  245,  543,  348,  349,  350,   40,  251,
  252,    0,  167,  168,   40,  258,  359,  258,  358,   41,
    0,   37,   44,   40,   37,   40,   42,  300,  125,   42,
   43,   47,   45,  352,   47,  258,  355,  125,  357,  258,
  258,   41,  330,  258,   44,  125,   40,   40,   40,   38,
  258,   40,   41,  258,   43,   44,   45,   40,   38,   40,
   40,   41,  258,  258,   44,  258,  258,  258,  258,   58,
   59,   60,  354,   62,   63,  354,  258,  279,   58,   59,
   60,   40,   62,   63,  452,   41,  258,  258,   44,  258,
  258,   41,  258,  258,   44,  258,  288,  268,  269,  270,
  271,  272,  273,  274,  275,   94,  288,  330,  258,   59,
  303,  330,  258,  328,   94,  308,  302,  258,  360,  361,
  362,  363,  288,  354,    0,  337,  354,  274,  275,  258,
  480,  258,  303,  326,  258,  124,  125,  308,  331,  258,
  382,  258,  259,  258,  124,  125,  361,  389,  390,  258,
    0,  393,  323,  361,  258,  326,  258,  258,  259,  330,
  331,  258,   38,  337,   40,   41,  337,  257,   44,  361,
  258,  125,   58,   58,   58,  125,   61,  258,  258,  361,
  258,  358,   58,   59,   60,  337,   62,   63,   38,  258,
   40,   41,  434,   59,   44,  361,  125,  258,  353,  472,
  299,  300,  301,  302,  303,  258,  303,  258,   58,   59,
   60,  308,   62,   63,    0,  303,  258,  258,   94,  258,
  308,  463,   40,  303,  497,  467,  123,  469,  308,  326,
  258,   40,  600,  330,  331,   61,   40,  605,  326,   40,
  608,   40,   40,  331,   94,   40,  326,   40,  124,  125,
   40,  331,   40,   40,   40,   41,  498,   40,   44,   40,
   40,  123,    0,   59,  125,  538,   44,   44,  125,  258,
  425,  426,   58,   59,  124,  125,   44,   44,  258,  268,
  269,  270,  271,  272,  273,  274,  275,   41,  268,  269,
  270,  271,  272,  273,  274,  275,   41,   41,   41,   41,
   38,   41,   40,   41,  258,   41,   44,  352,  258,   41,
  355,  356,  357,   60,  303,   61,  258,  258,  258,  308,
   58,   59,   60,  303,   62,   63,  258,  258,  308,   59,
  258,  258,  258,  258,  323,   59,  258,  326,  258,  125,
   40,  330,  331,  323,   41,   41,  326,   41,  337,  303,
  330,  331,   41,  303,  308,   58,   94,  337,  308,  106,
  107,  123,  109,  110,   44,   41,    0,  258,  115,   59,
   58,   40,  326,  323,   58,  330,  326,  331,  258,  258,
   41,  331,  258,  320,  125,  321,  124,  125,   41,   40,
   58,   40,  268,  269,  270,  271,  272,  273,  274,  275,
  123,  258,   40,   61,   38,   41,   40,   41,  258,   44,
   44,   59,  123,   59,  323,  125,  123,   61,  268,  269,
  270,  271,  272,  273,   58,   59,   60,  303,   62,   63,
   40,   58,  308,   40,  260,  261,  262,  263,  264,  265,
  266,  267,   40,   40,    0,  529,  303,  323,  532,   40,
  326,  308,   40,  303,  330,  331,   40,   40,  308,  125,
   94,  337,   40,   62,   41,   40,  550,   41,  552,  326,
   41,   41,  258,  323,  331,   41,  326,   58,  562,  258,
  330,  331,   38,  567,   40,   41,  330,  337,   44,   37,
  124,  125,  123,  577,   42,   43,  125,   45,   62,   47,
  258,  585,   58,   59,   60,   41,   62,   63,    0,  258,
  125,    0,   60,   41,   62,  337,  337,  303,  337,    0,
  258,  337,  308,  337,  337,  337,  337,  337,  358,  125,
  268,  269,  270,  271,  272,  273,   58,  323,   94,  125,
  326,  288,   58,  290,  330,  331,   38,  123,   40,   41,
   59,  337,   44,   37,   38,  337,    0,  125,   42,   43,
  125,   45,  337,   47,  337,  303,   58,   59,  124,  125,
  308,   63,  337,  337,  337,  125,   60,  337,   62,  125,
  337,  337,    0,  125,  337,  323,  323,  125,  326,  442,
  362,  592,  330,  331,   38,  562,   40,   41,  537,  337,
   44,  575,   94,   86,  117,  584,  179,    0,  203,  196,
   94,  466,  519,  523,   58,   59,  549,  583,  200,   63,
   38,  413,   40,   41,  258,  459,   44,   -1,   -1,   -1,
   -1,   -1,  124,  125,  268,  269,  270,  271,  272,  273,
   58,   59,   -1,   -1,   -1,   63,    0,   40,   41,   -1,
   94,   44,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   58,   59,   -1,   -1,  303,
   63,   -1,   -1,   -1,  308,   -1,   94,   -1,    0,   -1,
  124,  125,   -1,   -1,   -1,   -1,   40,   41,   -1,  323,
   44,   -1,  326,   -1,   -1,   -1,  330,  331,   -1,   -1,
   -1,   94,  258,  337,   58,   59,  124,  125,   -1,   63,
    0,   -1,  268,  269,  270,  271,  272,  273,   40,   41,
   -1,   -1,   44,   -1,  272,  273,  274,  275,   -1,   -1,
   -1,  124,  125,   -1,   -1,   -1,   58,   59,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,  303,   -1,   -1,
   40,   41,  308,   -1,   44,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  258,  323,   58,   59,
  326,  125,   -1,   63,  330,  331,  268,  269,  270,  271,
   -1,  337,   40,   -1,   42,   -1,  270,  271,  272,  273,
  274,  275,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   59,  124,  125,   -1,   63,   -1,   -1,   -1,   -1,
   -1,  303,   -1,   -1,  258,   -1,  308,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  268,  269,  270,  271,   -1,   -1,
   -1,  323,   -1,   91,  326,  125,   -1,   -1,  330,  331,
  258,   -1,   -1,   -1,   -1,  337,   -1,   -1,   -1,   42,
  268,  269,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,
   -1,   -1,   -1,   -1,  308,  258,   59,  125,   -1,   -1,
   63,   -1,   -1,   -1,   -1,  268,  269,   -1,   -1,  323,
   -1,   -1,  326,   -1,   -1,  303,  330,  331,   -1,   -1,
  308,   -1,   -1,  337,   -1,   -1,   -1,   -1,   91,   -1,
   -1,   -1,   -1,   -1,  258,  323,   -1,   -1,  326,   -1,
  303,   -1,  330,  331,  268,  308,   -1,   33,   -1,  337,
   -1,   -1,   -1,   -1,   40,   41,   -1,   43,   -1,   45,
  323,   -1,   -1,  326,   -1,   -1,  258,  330,  331,   -1,
   -1,   -1,   -1,   -1,  337,   -1,  268,  269,   -1,  303,
   -1,   -1,   -1,   -1,  308,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  258,  323,
   -1,   -1,  326,   -1,   -1,   -1,  330,  331,  268,  269,
   -1,  303,   -1,  337,   33,   -1,  308,   -1,   -1,   -1,
   -1,   40,   -1,   -1,   43,   44,   45,   -1,   -1,   -1,
  258,  323,   -1,   -1,  326,   -1,   -1,   -1,  330,  331,
  126,   -1,   61,  303,   -1,  337,   -1,   -1,  308,   -1,
   -1,   -1,   -1,  281,  282,  283,  284,  285,   -1,   -1,
  288,   -1,   33,  323,   -1,   -1,  326,   -1,   -1,   40,
  330,  331,   43,   44,   45,   -1,   -1,  337,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   61,   -1,   -1,   -1,  322,  258,  324,   -1,   -1,   -1,
  328,   33,   -1,  331,   -1,   -1,   -1,  126,   40,   -1,
   -1,   43,   -1,   45,   -1,   -1,   -1,   -1,  281,  282,
  283,  284,  285,   -1,   -1,  288,   58,   -1,   -1,   -1,
   -1,   -1,  360,  361,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   33,   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,
   -1,   43,   -1,   45,   -1,  126,   -1,   -1,   -1,  322,
   -1,  324,   -1,   -1,   -1,  328,   -1,   -1,  331,   -1,
   -1,  257,  258,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  278,  279,  126,   -1,   -1,  360,  361,   -1,
   -1,   -1,   -1,  289,  290,  291,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  299,  300,  301,  302,  303,  304,   -1,
   -1,   -1,   -1,  309,  310,  311,  312,  313,  314,   59,
   -1,   -1,   -1,   -1,  126,   -1,   33,   -1,  257,  258,
   -1,   -1,   -1,   40,   -1,   -1,   43,   -1,   45,  335,
   -1,   -1,   -1,   -1,   -1,  341,   -1,   -1,   -1,  278,
  279,   58,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  289,  290,  291,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  304,  257,  258,   -1,   -1,
  309,  310,  311,  312,  313,  314,   -1,   -1,   -1,   -1,
   -1,   -1,   33,   -1,   -1,   -1,   -1,  278,  279,   40,
   -1,   -1,   43,   -1,   45,   -1,  335,   -1,  289,  290,
  291,   -1,  341,   -1,   -1,  257,  258,   -1,   -1,  126,
   -1,   -1,   -1,  304,   -1,   -1,   -1,   -1,  309,  310,
  311,  312,  313,  314,   -1,   -1,  278,  279,  280,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  289,  290,  291,
   -1,   -1,   -1,   -1,  335,  257,  258,   -1,   -1,   -1,
  341,   -1,  304,   -1,   -1,   -1,   -1,  309,  310,  311,
  312,  313,  314,   -1,   -1,   59,  278,  279,  280,   -1,
   -1,   -1,   -1,   -1,   -1,  126,   -1,  289,  290,  291,
   -1,   -1,   -1,  335,   -1,   -1,   -1,   -1,   -1,  341,
   -1,   -1,  304,   -1,   -1,   -1,   -1,  309,  310,  311,
  312,  313,  314,   -1,   -1,   -1,   -1,   -1,  258,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  335,   -1,   -1,   -1,  277,   -1,  341,
   -1,   -1,   -1,   -1,   -1,   -1,  286,  287,   -1,   -1,
  257,  258,  292,  293,  294,  295,  296,  297,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  305,  306,  307,  308,   -1,
   -1,  278,  279,   -1,   -1,  315,  316,  317,  318,  319,
  320,   -1,  289,  290,  291,  325,  326,  327,   37,   38,
   -1,  331,   -1,   42,   43,   44,   45,  304,   47,   -1,
   -1,   -1,  309,  310,  311,  312,  313,  314,   -1,   -1,
   -1,   60,  352,   62,   63,   -1,  257,  258,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  335,   -1,
   -1,   -1,   -1,   -1,  341,   -1,   37,  278,  279,   -1,
   -1,   42,   43,   -1,   45,   94,   47,   -1,  289,  290,
  291,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,
   -1,   62,   -1,  304,   -1,   -1,   -1,   -1,  309,  310,
  311,  312,  313,  314,  258,  124,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   38,   -1,  335,   41,   42,   43,   -1,   45,
  341,   47,  286,  287,   -1,   -1,   -1,   -1,  292,  293,
  294,  295,  296,  297,   60,   -1,   62,   63,   -1,   -1,
   -1,  305,  306,  307,  308,   -1,   -1,   -1,   -1,   -1,
   -1,  315,  316,  317,  318,  319,  320,   -1,   -1,   -1,
   -1,  325,  326,  327,   -1,   -1,   -1,  331,   94,   37,
   38,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   37,   38,   -1,   -1,   41,   42,   43,  352,   45,
   -1,   47,   60,   -1,   62,   63,   -1,   -1,  124,   -1,
   -1,   -1,   -1,   -1,   60,   -1,   62,   63,   37,   38,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   60,   -1,   62,   63,   -1,   -1,   -1,   94,  268,
  269,  270,  271,  272,  273,  274,  275,   37,   38,   -1,
   -1,   41,   42,   43,   -1,   45,  124,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,  124,   -1,
   60,   -1,   62,   63,   37,   38,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,  270,
  271,  272,  273,  274,  275,  124,   -1,   60,   -1,   62,
   63,   37,   38,   -1,   94,   -1,   42,   43,   44,   45,
   -1,   47,   37,   38,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   60,   -1,   62,   63,   -1,   -1,
   -1,   94,   -1,   -1,  124,   60,   -1,   62,   63,   -1,
   -1,   -1,  268,  269,  270,  271,  272,  273,  274,  275,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,  124,   -1,   -1,   -1,   -1,   37,   38,   -1,   94,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  124,   60,
   -1,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,  124,
  268,  269,  270,  271,  272,  273,  274,  275,   -1,   -1,
   -1,   -1,  268,  269,  270,  271,  272,  273,  274,  275,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  268,
  269,  270,  271,  272,  273,  274,  275,   -1,   -1,   -1,
   -1,   -1,   -1,  124,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   38,   -1,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,  268,  269,
  270,  271,  272,  273,  274,  275,   -1,   60,   -1,   62,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  268,  269,  270,  271,  272,
  273,  274,  275,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  268,  269,  270,  271,  272,  273,  274,  275,
   -1,   -1,   -1,  268,  269,  270,  271,  272,  273,  274,
  275,  124,   37,   38,   -1,   -1,   -1,   42,   43,   -1,
   45,   -1,   47,   -1,   37,   38,   -1,   40,   -1,   42,
   43,   -1,   45,   58,   47,   60,   -1,   62,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   -1,   62,
   63,   -1,   -1,   -1,   -1,   -1,   -1,  268,  269,  270,
  271,  272,  273,  274,  275,   37,   38,   -1,   -1,   94,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   37,
   38,   94,   -1,   41,   42,   43,   58,   45,   60,   47,
   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  124,
   -1,   -1,   60,   -1,   62,   63,   -1,   -1,   37,   38,
   -1,  124,   41,   42,   43,   -1,   45,   -1,   47,   37,
   38,   -1,   94,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   60,   -1,   62,   63,   -1,   94,   -1,   -1,   -1,
   -1,   -1,   60,   -1,   62,   63,   -1,   -1,   -1,   -1,
   -1,   -1,  124,   -1,   -1,  268,  269,  270,  271,  272,
  273,  274,  275,   -1,   -1,   94,  124,   37,   38,   -1,
   -1,   41,   42,   43,   -1,   45,   94,   47,   37,   38,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   60,   -1,   62,   63,   -1,  124,   -1,   -1,   -1,   -1,
   -1,   60,   -1,   62,   63,   -1,  124,   37,   38,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   60,   -1,   62,   63,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  268,  269,  270,  271,  272,  273,  274,
  275,   -1,   -1,   -1,  124,  268,  269,  270,  271,  272,
  273,  274,  275,   -1,   94,  124,   -1,   37,   38,   -1,
   -1,   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   37,   38,   -1,   -1,   41,   42,   43,   -1,   45,
   60,   47,   62,   -1,  124,   -1,  268,  269,  270,  271,
  272,  273,  274,  275,   60,   -1,   62,   63,   -1,   -1,
  268,  269,  270,  271,  272,  273,  274,  275,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,  268,
  269,  270,  271,  272,  273,  274,  275,   -1,   -1,   -1,
  268,  269,  270,  271,  272,  273,  274,  275,   -1,   -1,
   -1,   37,   38,   -1,   -1,   41,   42,   43,  124,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   60,   -1,   62,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  268,  269,
  270,  271,  272,  273,  274,  275,   -1,   -1,   -1,  268,
  269,  270,  271,  272,  273,  274,  275,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   37,   38,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,  268,  269,
  270,  271,  272,  273,  274,  275,   -1,   60,  124,   62,
   63,   37,   38,   -1,   -1,   -1,   42,   43,   -1,   45,
   -1,   47,   -1,   37,   38,   -1,   -1,   -1,   42,   43,
   -1,   45,   -1,   47,   60,   -1,   62,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   60,  258,   62,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  270,  271,  272,  273,  274,  275,  277,  278,   94,   -1,
   -1,  124,  268,  269,  270,  271,  272,  273,  274,  275,
   94,   -1,   -1,   -1,   -1,  296,   -1,   -1,   -1,   -1,
   -1,   -1,  258,   -1,   -1,   -1,   -1,   -1,  124,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  124,   -1,  278,   -1,   -1,   -1,   -1,   -1,  329,   -1,
   -1,  332,  333,  334,  335,  336,   -1,  338,  339,  340,
  296,  342,  343,  344,  345,  346,   -1,   -1,   -1,   -1,
  351,  352,  353,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  268,  269,  270,  271,  272,  273,  274,  275,
   -1,   -1,   -1,  329,   -1,   -1,  332,  333,  334,  335,
  336,   -1,  338,  339,  340,   -1,  342,  343,  344,  345,
  346,   -1,   -1,   -1,   -1,  351,  352,  353,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  268,  269,  270,  271,  272,
  273,  274,  275,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  269,  270,  271,  272,  273,  274,  275,
   -1,   -1,   -1,   -1,   -1,   -1,  270,  271,  272,  273,
  274,  275,
};
#define YYFINAL 5
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 361
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
"'!'",0,0,0,"'%'","'&'",0,"'('","')'","'*'","'+'","','","'-'",0,"'/'",0,0,0,0,0,
0,0,0,0,0,"':'","';'","'<'","'='","'>'","'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,"'['",0,"']'","'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,"'{'","'|'","'}'","'~'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"INT","NAME",
"LNAME","PLUSEQ","MINUSEQ","MULTEQ","DIVEQ","LSHIFTEQ","RSHIFTEQ","ANDEQ",
"OREQ","OROR","ANDAND","EQ","NE","LE","GE","LSHIFT","RSHIFT","UNARY","END",
"ALIGN_K","BLOCK","BIND","QUAD","SQUAD","LONG","SHORT","BYTE","SECTIONS",
"PHDRS","SORT","DATA_SEGMENT_ALIGN","DATA_SEGMENT_END","SIZEOF_HEADERS",
"OUTPUT_FORMAT","FORCE_COMMON_ALLOCATION","OUTPUT_ARCH",
"INHIBIT_COMMON_ALLOCATION","INCLUDE","MEMORY","DEFSYMEND","NOLOAD","DSECT",
"COPY","INFO","OVERLAY","DEFINED","TARGET_K","SEARCH_DIR","MAP","ENTRY","NEXT",
"SIZEOF","ADDR","LOADADDR","MAX_K","MIN_K","STARTUP","HLL","SYSLIB","FLOAT",
"NOFLOAT","NOCROSSREFS","ORIGIN","FILL","LENGTH","CREATE_OBJECT_SYMBOLS",
"INPUT","GROUP","OUTPUT","CONSTRUCTORS","ALIGNMOD","AT","PROVIDE","CHIP","LIST",
"SECT","ABSOLUTE","LOAD","NEWLINE","ENDWORD","ORDER","NAMEWORD","ASSERT_K",
"FORMAT","PUBLIC","BASE","ALIAS","TRUNCATE","REL","INPUT_SCRIPT",
"INPUT_MRI_SCRIPT","INPUT_DEFSYM","CASE","EXTERN","START","VERS_TAG",
"VERS_IDENTIFIER","GLOBAL","LOCAL","VERSIONK","INPUT_VERSION_SCRIPT","KEEP",
"EXCLUDE_FILE",
};
char *yyrule[] = {
"$accept : file",
"file : INPUT_SCRIPT script_file",
"file : INPUT_MRI_SCRIPT mri_script_file",
"file : INPUT_VERSION_SCRIPT version_script_file",
"file : INPUT_DEFSYM defsym_expr",
"filename : NAME",
"$$1 :",
"defsym_expr : $$1 NAME '=' exp",
"$$2 :",
"mri_script_file : $$2 mri_script_lines",
"mri_script_lines : mri_script_lines mri_script_command NEWLINE",
"mri_script_lines :",
"mri_script_command : CHIP exp",
"mri_script_command : CHIP exp ',' exp",
"mri_script_command : NAME",
"mri_script_command : LIST",
"mri_script_command : ORDER ordernamelist",
"mri_script_command : ENDWORD",
"mri_script_command : PUBLIC NAME '=' exp",
"mri_script_command : PUBLIC NAME ',' exp",
"mri_script_command : PUBLIC NAME exp",
"mri_script_command : FORMAT NAME",
"mri_script_command : SECT NAME ',' exp",
"mri_script_command : SECT NAME exp",
"mri_script_command : SECT NAME '=' exp",
"mri_script_command : ALIGN_K NAME '=' exp",
"mri_script_command : ALIGN_K NAME ',' exp",
"mri_script_command : ALIGNMOD NAME '=' exp",
"mri_script_command : ALIGNMOD NAME ',' exp",
"mri_script_command : ABSOLUTE mri_abs_name_list",
"mri_script_command : LOAD mri_load_name_list",
"mri_script_command : NAMEWORD NAME",
"mri_script_command : ALIAS NAME ',' NAME",
"mri_script_command : ALIAS NAME ',' INT",
"mri_script_command : BASE exp",
"mri_script_command : TRUNCATE INT",
"mri_script_command : CASE casesymlist",
"mri_script_command : EXTERN extern_name_list",
"$$3 :",
"mri_script_command : INCLUDE filename $$3 mri_script_lines END",
"mri_script_command : START NAME",
"mri_script_command :",
"ordernamelist : ordernamelist ',' NAME",
"ordernamelist : ordernamelist NAME",
"ordernamelist :",
"mri_load_name_list : NAME",
"mri_load_name_list : mri_load_name_list ',' NAME",
"mri_abs_name_list : NAME",
"mri_abs_name_list : mri_abs_name_list ',' NAME",
"casesymlist :",
"casesymlist : NAME",
"casesymlist : casesymlist ',' NAME",
"extern_name_list : NAME",
"extern_name_list : extern_name_list NAME",
"extern_name_list : extern_name_list ',' NAME",
"$$4 :",
"script_file : $$4 ifile_list",
"ifile_list : ifile_list ifile_p1",
"ifile_list :",
"ifile_p1 : memory",
"ifile_p1 : sections",
"ifile_p1 : phdrs",
"ifile_p1 : startup",
"ifile_p1 : high_level_library",
"ifile_p1 : low_level_library",
"ifile_p1 : floating_point_support",
"ifile_p1 : statement_anywhere",
"ifile_p1 : version",
"ifile_p1 : ';'",
"ifile_p1 : TARGET_K '(' NAME ')'",
"ifile_p1 : SEARCH_DIR '(' filename ')'",
"ifile_p1 : OUTPUT '(' filename ')'",
"ifile_p1 : OUTPUT_FORMAT '(' NAME ')'",
"ifile_p1 : OUTPUT_FORMAT '(' NAME ',' NAME ',' NAME ')'",
"ifile_p1 : OUTPUT_ARCH '(' NAME ')'",
"ifile_p1 : FORCE_COMMON_ALLOCATION",
"ifile_p1 : INHIBIT_COMMON_ALLOCATION",
"ifile_p1 : INPUT '(' input_list ')'",
"$$5 :",
"ifile_p1 : GROUP $$5 '(' input_list ')'",
"ifile_p1 : MAP '(' filename ')'",
"$$6 :",
"ifile_p1 : INCLUDE filename $$6 ifile_list END",
"ifile_p1 : NOCROSSREFS '(' nocrossref_list ')'",
"ifile_p1 : EXTERN '(' extern_name_list ')'",
"input_list : NAME",
"input_list : input_list ',' NAME",
"input_list : input_list NAME",
"input_list : LNAME",
"input_list : input_list ',' LNAME",
"input_list : input_list LNAME",
"sections : SECTIONS '{' sec_or_group_p1 '}'",
"sec_or_group_p1 : sec_or_group_p1 section",
"sec_or_group_p1 : sec_or_group_p1 statement_anywhere",
"sec_or_group_p1 :",
"statement_anywhere : ENTRY '(' NAME ')'",
"statement_anywhere : assignment end",
"wildcard_name : NAME",
"wildcard_name : '*'",
"wildcard_name : '?'",
"wildcard_spec : wildcard_name",
"wildcard_spec : EXCLUDE_FILE '(' exclude_name_list ')' wildcard_name",
"wildcard_spec : SORT '(' wildcard_name ')'",
"wildcard_spec : SORT '(' EXCLUDE_FILE '(' exclude_name_list ')' wildcard_name ')'",
"exclude_name_list : exclude_name_list wildcard_name",
"exclude_name_list : wildcard_name",
"file_NAME_list : file_NAME_list opt_comma wildcard_spec",
"file_NAME_list : wildcard_spec",
"input_section_spec_no_keep : NAME",
"input_section_spec_no_keep : '[' file_NAME_list ']'",
"input_section_spec_no_keep : wildcard_spec '(' file_NAME_list ')'",
"input_section_spec : input_section_spec_no_keep",
"$$7 :",
"input_section_spec : KEEP '(' $$7 input_section_spec_no_keep ')'",
"statement : assignment end",
"statement : CREATE_OBJECT_SYMBOLS",
"statement : ';'",
"statement : CONSTRUCTORS",
"statement : SORT '(' CONSTRUCTORS ')'",
"statement : input_section_spec",
"statement : length '(' mustbe_exp ')'",
"statement : FILL '(' fill_exp ')'",
"statement_list : statement_list statement",
"statement_list : statement",
"statement_list_opt :",
"statement_list_opt : statement_list",
"length : QUAD",
"length : SQUAD",
"length : LONG",
"length : SHORT",
"length : BYTE",
"fill_exp : mustbe_exp",
"fill_opt : '=' fill_exp",
"fill_opt :",
"assign_op : PLUSEQ",
"assign_op : MINUSEQ",
"assign_op : MULTEQ",
"assign_op : DIVEQ",
"assign_op : LSHIFTEQ",
"assign_op : RSHIFTEQ",
"assign_op : ANDEQ",
"assign_op : OREQ",
"end : ';'",
"end : ','",
"assignment : NAME '=' mustbe_exp",
"assignment : NAME assign_op mustbe_exp",
"assignment : PROVIDE '(' NAME '=' mustbe_exp ')'",
"opt_comma : ','",
"opt_comma :",
"memory : MEMORY '{' memory_spec memory_spec_list '}'",
"memory_spec_list : memory_spec_list memory_spec",
"memory_spec_list : memory_spec_list ',' memory_spec",
"memory_spec_list :",
"$$8 :",
"memory_spec : NAME $$8 attributes_opt ':' origin_spec opt_comma length_spec",
"origin_spec : ORIGIN '=' mustbe_exp",
"length_spec : LENGTH '=' mustbe_exp",
"attributes_opt :",
"attributes_opt : '(' attributes_list ')'",
"attributes_list : attributes_string",
"attributes_list : attributes_list attributes_string",
"attributes_string : NAME",
"attributes_string : '!' NAME",
"startup : STARTUP '(' filename ')'",
"high_level_library : HLL '(' high_level_library_NAME_list ')'",
"high_level_library : HLL '(' ')'",
"high_level_library_NAME_list : high_level_library_NAME_list opt_comma filename",
"high_level_library_NAME_list : filename",
"low_level_library : SYSLIB '(' low_level_library_NAME_list ')'",
"low_level_library_NAME_list : low_level_library_NAME_list opt_comma filename",
"low_level_library_NAME_list :",
"floating_point_support : FLOAT",
"floating_point_support : NOFLOAT",
"nocrossref_list :",
"nocrossref_list : NAME nocrossref_list",
"nocrossref_list : NAME ',' nocrossref_list",
"$$9 :",
"mustbe_exp : $$9 exp",
"exp : '-' exp",
"exp : '(' exp ')'",
"exp : NEXT '(' exp ')'",
"exp : '!' exp",
"exp : '+' exp",
"exp : '~' exp",
"exp : exp '*' exp",
"exp : exp '/' exp",
"exp : exp '%' exp",
"exp : exp '+' exp",
"exp : exp '-' exp",
"exp : exp LSHIFT exp",
"exp : exp RSHIFT exp",
"exp : exp EQ exp",
"exp : exp NE exp",
"exp : exp LE exp",
"exp : exp GE exp",
"exp : exp '<' exp",
"exp : exp '>' exp",
"exp : exp '&' exp",
"exp : exp '^' exp",
"exp : exp '|' exp",
"exp : exp '?' exp ':' exp",
"exp : exp ANDAND exp",
"exp : exp OROR exp",
"exp : DEFINED '(' NAME ')'",
"exp : INT",
"exp : SIZEOF_HEADERS",
"exp : SIZEOF '(' NAME ')'",
"exp : ADDR '(' NAME ')'",
"exp : LOADADDR '(' NAME ')'",
"exp : ABSOLUTE '(' exp ')'",
"exp : ALIGN_K '(' exp ')'",
"exp : DATA_SEGMENT_ALIGN '(' exp ',' exp ')'",
"exp : DATA_SEGMENT_END '(' exp ')'",
"exp : BLOCK '(' exp ')'",
"exp : NAME",
"exp : MAX_K '(' exp ',' exp ')'",
"exp : MIN_K '(' exp ',' exp ')'",
"exp : ASSERT_K '(' exp ',' NAME ')'",
"memspec_at_opt : AT '>' NAME",
"memspec_at_opt :",
"opt_at : AT '(' exp ')'",
"opt_at :",
"$$10 :",
"$$11 :",
"$$12 :",
"$$13 :",
"$$14 :",
"section : NAME $$10 opt_exp_with_type opt_at $$11 '{' $$12 statement_list_opt '}' $$13 memspec_opt memspec_at_opt phdr_opt fill_opt $$14 opt_comma",
"$$15 :",
"$$16 :",
"$$17 :",
"$$18 :",
"$$19 :",
"section : OVERLAY $$15 opt_exp_without_type opt_nocrossrefs opt_at $$16 '{' $$17 overlay_section '}' $$18 memspec_opt memspec_at_opt phdr_opt fill_opt $$19 opt_comma",
"$$20 :",
"$$21 :",
"section : GROUP $$20 opt_exp_with_type $$21 '{' sec_or_group_p1 '}'",
"type : NOLOAD",
"type : DSECT",
"type : COPY",
"type : INFO",
"type : OVERLAY",
"atype : '(' type ')'",
"atype :",
"atype : '(' ')'",
"opt_exp_with_type : exp atype ':'",
"opt_exp_with_type : atype ':'",
"opt_exp_with_type : BIND '(' exp ')' atype ':'",
"opt_exp_with_type : BIND '(' exp ')' BLOCK '(' exp ')' atype ':'",
"opt_exp_without_type : exp ':'",
"opt_exp_without_type : ':'",
"opt_nocrossrefs :",
"opt_nocrossrefs : NOCROSSREFS",
"memspec_opt : '>' NAME",
"memspec_opt :",
"phdr_opt :",
"phdr_opt : phdr_opt ':' NAME",
"overlay_section :",
"$$22 :",
"$$23 :",
"$$24 :",
"overlay_section : overlay_section NAME $$22 '{' statement_list_opt '}' $$23 phdr_opt fill_opt $$24 opt_comma",
"phdrs : PHDRS '{' phdr_list '}'",
"phdr_list :",
"phdr_list : phdr_list phdr",
"$$25 :",
"$$26 :",
"phdr : NAME $$25 phdr_type phdr_qualifiers $$26 ';'",
"phdr_type : exp",
"phdr_qualifiers :",
"phdr_qualifiers : NAME phdr_val phdr_qualifiers",
"phdr_qualifiers : AT '(' exp ')' phdr_qualifiers",
"phdr_val :",
"phdr_val : '(' exp ')'",
"$$27 :",
"version_script_file : $$27 vers_nodes",
"$$28 :",
"version : $$28 VERSIONK '{' vers_nodes '}'",
"vers_nodes : vers_node",
"vers_nodes : vers_nodes vers_node",
"vers_node : '{' vers_tag '}' ';'",
"vers_node : VERS_TAG '{' vers_tag '}' ';'",
"vers_node : VERS_TAG '{' vers_tag '}' verdep ';'",
"verdep : VERS_TAG",
"verdep : verdep VERS_TAG",
"vers_tag :",
"vers_tag : vers_defns ';'",
"vers_tag : GLOBAL ':' vers_defns ';'",
"vers_tag : LOCAL ':' vers_defns ';'",
"vers_tag : GLOBAL ':' vers_defns ';' LOCAL ':' vers_defns ';'",
"vers_defns : VERS_IDENTIFIER",
"vers_defns : vers_defns ';' VERS_IDENTIFIER",
"$$29 :",
"vers_defns : vers_defns ';' EXTERN NAME '{' $$29 vers_defns opt_semicolon '}'",
"$$30 :",
"vers_defns : EXTERN NAME '{' $$30 vers_defns opt_semicolon '}'",
"opt_semicolon :",
"opt_semicolon : ';'",
};
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 1173 "ldgram.y"
void
yyerror(arg)
     const char *arg;
{
  if (ldfile_assumed_script)
    einfo (_("%P:%s: file format not recognized; treating as linker script\n"),
	   ldfile_input_filename);
  if (error_index > 0 && error_index < ERROR_NAME_MAX)
     einfo ("%P%F:%S: %s in %s\n", arg, error_names[error_index-1]);
  else
     einfo ("%P%F:%S: %s\n", arg);
}
#line 1422 "y.tab.c"
#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse(void)
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
    extern char *getenv();

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate]) != 0) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#ifdef lint
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 6:
#line 173 "ldgram.y"
{ ldlex_defsym(); }
break;
case 7:
#line 175 "ldgram.y"
{
		  ldlex_popstate();
		  lang_add_assignment(exp_assop(yyvsp[-1].token,yyvsp[-2].name,yyvsp[0].etree));
		}
break;
case 8:
#line 183 "ldgram.y"
{
		  ldlex_mri_script ();
		  PUSH_ERROR (_("MRI style script"));
		}
break;
case 9:
#line 188 "ldgram.y"
{
		  ldlex_popstate ();
		  mri_draw_tree ();
		  POP_ERROR ();
		}
break;
case 14:
#line 203 "ldgram.y"
{
			einfo(_("%P%F: unrecognised keyword in MRI style script '%s'\n"),yyvsp[0].name);
			}
break;
case 15:
#line 206 "ldgram.y"
{
			config.map_filename = "-";
			}
break;
case 18:
#line 212 "ldgram.y"
{ mri_public(yyvsp[-2].name, yyvsp[0].etree); }
break;
case 19:
#line 214 "ldgram.y"
{ mri_public(yyvsp[-2].name, yyvsp[0].etree); }
break;
case 20:
#line 216 "ldgram.y"
{ mri_public(yyvsp[-1].name, yyvsp[0].etree); }
break;
case 21:
#line 218 "ldgram.y"
{ mri_format(yyvsp[0].name); }
break;
case 22:
#line 220 "ldgram.y"
{ mri_output_section(yyvsp[-2].name, yyvsp[0].etree);}
break;
case 23:
#line 222 "ldgram.y"
{ mri_output_section(yyvsp[-1].name, yyvsp[0].etree);}
break;
case 24:
#line 224 "ldgram.y"
{ mri_output_section(yyvsp[-2].name, yyvsp[0].etree);}
break;
case 25:
#line 226 "ldgram.y"
{ mri_align(yyvsp[-2].name,yyvsp[0].etree); }
break;
case 26:
#line 228 "ldgram.y"
{ mri_align(yyvsp[-2].name,yyvsp[0].etree); }
break;
case 27:
#line 230 "ldgram.y"
{ mri_alignmod(yyvsp[-2].name,yyvsp[0].etree); }
break;
case 28:
#line 232 "ldgram.y"
{ mri_alignmod(yyvsp[-2].name,yyvsp[0].etree); }
break;
case 31:
#line 236 "ldgram.y"
{ mri_name(yyvsp[0].name); }
break;
case 32:
#line 238 "ldgram.y"
{ mri_alias(yyvsp[-2].name,yyvsp[0].name,0);}
break;
case 33:
#line 240 "ldgram.y"
{ mri_alias (yyvsp[-2].name, 0, (int) yyvsp[0].bigint.integer); }
break;
case 34:
#line 242 "ldgram.y"
{ mri_base(yyvsp[0].etree); }
break;
case 35:
#line 244 "ldgram.y"
{ mri_truncate ((unsigned int) yyvsp[0].bigint.integer); }
break;
case 38:
#line 248 "ldgram.y"
{ ldlex_script (); ldfile_open_command_file(yyvsp[0].name); }
break;
case 39:
#line 250 "ldgram.y"
{ ldlex_popstate (); }
break;
case 40:
#line 252 "ldgram.y"
{ lang_add_entry (yyvsp[0].name, FALSE); }
break;
case 42:
#line 257 "ldgram.y"
{ mri_order(yyvsp[0].name); }
break;
case 43:
#line 258 "ldgram.y"
{ mri_order(yyvsp[0].name); }
break;
case 45:
#line 264 "ldgram.y"
{ mri_load(yyvsp[0].name); }
break;
case 46:
#line 265 "ldgram.y"
{ mri_load(yyvsp[0].name); }
break;
case 47:
#line 270 "ldgram.y"
{ mri_only_load(yyvsp[0].name); }
break;
case 48:
#line 272 "ldgram.y"
{ mri_only_load(yyvsp[0].name); }
break;
case 49:
#line 276 "ldgram.y"
{ yyval.name = NULL; }
break;
case 52:
#line 283 "ldgram.y"
{ ldlang_add_undef (yyvsp[0].name); }
break;
case 53:
#line 285 "ldgram.y"
{ ldlang_add_undef (yyvsp[0].name); }
break;
case 54:
#line 287 "ldgram.y"
{ ldlang_add_undef (yyvsp[0].name); }
break;
case 55:
#line 291 "ldgram.y"
{
	 ldlex_both();
	}
break;
case 56:
#line 295 "ldgram.y"
{
	ldlex_popstate();
	}
break;
case 69:
#line 320 "ldgram.y"
{ lang_add_target(yyvsp[-1].name); }
break;
case 70:
#line 322 "ldgram.y"
{ ldfile_add_library_path (yyvsp[-1].name, FALSE); }
break;
case 71:
#line 324 "ldgram.y"
{ lang_add_output(yyvsp[-1].name, 1); }
break;
case 72:
#line 326 "ldgram.y"
{ lang_add_output_format (yyvsp[-1].name, (char *) NULL,
					    (char *) NULL, 1); }
break;
case 73:
#line 329 "ldgram.y"
{ lang_add_output_format (yyvsp[-5].name, yyvsp[-3].name, yyvsp[-1].name, 1); }
break;
case 74:
#line 331 "ldgram.y"
{ ldfile_set_output_arch(yyvsp[-1].name); }
break;
case 75:
#line 333 "ldgram.y"
{ command_line.force_common_definition = TRUE ; }
break;
case 76:
#line 335 "ldgram.y"
{ command_line.inhibit_common_definition = TRUE ; }
break;
case 78:
#line 338 "ldgram.y"
{ lang_enter_group (); }
break;
case 79:
#line 340 "ldgram.y"
{ lang_leave_group (); }
break;
case 80:
#line 342 "ldgram.y"
{ lang_add_map(yyvsp[-1].name); }
break;
case 81:
#line 344 "ldgram.y"
{ ldlex_script (); ldfile_open_command_file(yyvsp[0].name); }
break;
case 82:
#line 346 "ldgram.y"
{ ldlex_popstate (); }
break;
case 83:
#line 348 "ldgram.y"
{
		  lang_add_nocrossref (yyvsp[-1].nocrossref);
		}
break;
case 85:
#line 356 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_search_file_enum,
				 (char *)NULL); }
break;
case 86:
#line 359 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_search_file_enum,
				 (char *)NULL); }
break;
case 87:
#line 362 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_search_file_enum,
				 (char *)NULL); }
break;
case 88:
#line 365 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_l_enum,
				 (char *)NULL); }
break;
case 89:
#line 368 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_l_enum,
				 (char *)NULL); }
break;
case 90:
#line 371 "ldgram.y"
{ lang_add_input_file(yyvsp[0].name,lang_input_file_is_l_enum,
				 (char *)NULL); }
break;
case 95:
#line 387 "ldgram.y"
{ lang_add_entry (yyvsp[-1].name, FALSE); }
break;
case 97:
#line 395 "ldgram.y"
{
			  yyval.cname = yyvsp[0].name;
			}
break;
case 98:
#line 399 "ldgram.y"
{
			  yyval.cname = "*";
			}
break;
case 99:
#line 403 "ldgram.y"
{
			  yyval.cname = "?";
			}
break;
case 100:
#line 410 "ldgram.y"
{
			  yyval.wildcard.name = yyvsp[0].cname;
			  yyval.wildcard.sorted = FALSE;
			  yyval.wildcard.exclude_name_list = NULL;
			}
break;
case 101:
#line 416 "ldgram.y"
{
			  yyval.wildcard.name = yyvsp[0].cname;
			  yyval.wildcard.sorted = FALSE;
			  yyval.wildcard.exclude_name_list = yyvsp[-2].name_list;
			}
break;
case 102:
#line 422 "ldgram.y"
{
			  yyval.wildcard.name = yyvsp[-1].cname;
			  yyval.wildcard.sorted = TRUE;
			  yyval.wildcard.exclude_name_list = NULL;
			}
break;
case 103:
#line 428 "ldgram.y"
{
			  yyval.wildcard.name = yyvsp[-1].cname;
			  yyval.wildcard.sorted = TRUE;
			  yyval.wildcard.exclude_name_list = yyvsp[-3].name_list;
			}
break;
case 104:
#line 437 "ldgram.y"
{
			  struct name_list *tmp;
			  tmp = (struct name_list *) xmalloc (sizeof *tmp);
			  tmp->name = yyvsp[0].cname;
			  tmp->next = yyvsp[-1].name_list;
			  yyval.name_list = tmp;
			}
break;
case 105:
#line 446 "ldgram.y"
{
			  struct name_list *tmp;
			  tmp = (struct name_list *) xmalloc (sizeof *tmp);
			  tmp->name = yyvsp[0].cname;
			  tmp->next = NULL;
			  yyval.name_list = tmp;
			}
break;
case 106:
#line 457 "ldgram.y"
{
			  struct wildcard_list *tmp;
			  tmp = (struct wildcard_list *) xmalloc (sizeof *tmp);
			  tmp->next = yyvsp[-2].wildcard_list;
			  tmp->spec = yyvsp[0].wildcard;
			  yyval.wildcard_list = tmp;
			}
break;
case 107:
#line 466 "ldgram.y"
{
			  struct wildcard_list *tmp;
			  tmp = (struct wildcard_list *) xmalloc (sizeof *tmp);
			  tmp->next = NULL;
			  tmp->spec = yyvsp[0].wildcard;
			  yyval.wildcard_list = tmp;
			}
break;
case 108:
#line 477 "ldgram.y"
{
			  struct wildcard_spec tmp;
			  tmp.name = yyvsp[0].name;
			  tmp.exclude_name_list = NULL;
			  tmp.sorted = FALSE;
			  lang_add_wild (&tmp, NULL, ldgram_had_keep);
			}
break;
case 109:
#line 485 "ldgram.y"
{
			  lang_add_wild (NULL, yyvsp[-1].wildcard_list, ldgram_had_keep);
			}
break;
case 110:
#line 489 "ldgram.y"
{
			  lang_add_wild (&yyvsp[-3].wildcard, yyvsp[-1].wildcard_list, ldgram_had_keep);
			}
break;
case 112:
#line 497 "ldgram.y"
{ ldgram_had_keep = TRUE; }
break;
case 113:
#line 499 "ldgram.y"
{ ldgram_had_keep = FALSE; }
break;
case 115:
#line 505 "ldgram.y"
{
 		lang_add_attribute(lang_object_symbols_statement_enum);
	      	}
break;
case 117:
#line 510 "ldgram.y"
{

		  lang_add_attribute(lang_constructors_statement_enum);
		}
break;
case 118:
#line 515 "ldgram.y"
{
		  constructors_sorted = TRUE;
		  lang_add_attribute (lang_constructors_statement_enum);
		}
break;
case 120:
#line 521 "ldgram.y"
{
			  lang_add_data ((int) yyvsp[-3].integer, yyvsp[-1].etree);
			}
break;
case 121:
#line 526 "ldgram.y"
{
			  lang_add_fill (yyvsp[-1].fill);
			}
break;
case 126:
#line 543 "ldgram.y"
{ yyval.integer = yyvsp[0].token; }
break;
case 127:
#line 545 "ldgram.y"
{ yyval.integer = yyvsp[0].token; }
break;
case 128:
#line 547 "ldgram.y"
{ yyval.integer = yyvsp[0].token; }
break;
case 129:
#line 549 "ldgram.y"
{ yyval.integer = yyvsp[0].token; }
break;
case 130:
#line 551 "ldgram.y"
{ yyval.integer = yyvsp[0].token; }
break;
case 131:
#line 556 "ldgram.y"
{
		  yyval.fill = exp_get_fill (yyvsp[0].etree,
				     0,
				     "fill value",
				     lang_first_phase_enum);
		}
break;
case 132:
#line 566 "ldgram.y"
{ yyval.fill = yyvsp[0].fill; }
break;
case 133:
#line 567 "ldgram.y"
{ yyval.fill = (fill_type *) 0; }
break;
case 134:
#line 572 "ldgram.y"
{ yyval.token = '+'; }
break;
case 135:
#line 574 "ldgram.y"
{ yyval.token = '-'; }
break;
case 136:
#line 576 "ldgram.y"
{ yyval.token = '*'; }
break;
case 137:
#line 578 "ldgram.y"
{ yyval.token = '/'; }
break;
case 138:
#line 580 "ldgram.y"
{ yyval.token = LSHIFT; }
break;
case 139:
#line 582 "ldgram.y"
{ yyval.token = RSHIFT; }
break;
case 140:
#line 584 "ldgram.y"
{ yyval.token = '&'; }
break;
case 141:
#line 586 "ldgram.y"
{ yyval.token = '|'; }
break;
case 144:
#line 596 "ldgram.y"
{
		  lang_add_assignment (exp_assop (yyvsp[-1].token, yyvsp[-2].name, yyvsp[0].etree));
		}
break;
case 145:
#line 600 "ldgram.y"
{
		  lang_add_assignment (exp_assop ('=', yyvsp[-2].name,
						  exp_binop (yyvsp[-1].token,
							     exp_nameop (NAME,
									 yyvsp[-2].name),
							     yyvsp[0].etree)));
		}
break;
case 146:
#line 608 "ldgram.y"
{
		  lang_add_assignment (exp_provide (yyvsp[-3].name, yyvsp[-1].etree));
		}
break;
case 153:
#line 630 "ldgram.y"
{ region = lang_memory_region_lookup(yyvsp[0].name); }
break;
case 154:
#line 633 "ldgram.y"
{}
break;
case 155:
#line 638 "ldgram.y"
{ region->current =
		 region->origin =
		 exp_get_vma(yyvsp[0].etree, 0L,"origin", lang_first_phase_enum);
}
break;
case 156:
#line 646 "ldgram.y"
{ region->length = exp_get_vma(yyvsp[0].etree,
					       ~((bfd_vma)0),
					       "length",
					       lang_first_phase_enum);
		}
break;
case 157:
#line 655 "ldgram.y"
{ /* dummy action to avoid bison 1.25 error message */ }
break;
case 161:
#line 666 "ldgram.y"
{ lang_set_flags (region, yyvsp[0].name, 0); }
break;
case 162:
#line 668 "ldgram.y"
{ lang_set_flags (region, yyvsp[0].name, 1); }
break;
case 163:
#line 673 "ldgram.y"
{ lang_startup(yyvsp[-1].name); }
break;
case 165:
#line 679 "ldgram.y"
{ ldemul_hll((char *)NULL); }
break;
case 166:
#line 684 "ldgram.y"
{ ldemul_hll(yyvsp[0].name); }
break;
case 167:
#line 686 "ldgram.y"
{ ldemul_hll(yyvsp[0].name); }
break;
case 169:
#line 694 "ldgram.y"
{ ldemul_syslib(yyvsp[0].name); }
break;
case 171:
#line 700 "ldgram.y"
{ lang_float(TRUE); }
break;
case 172:
#line 702 "ldgram.y"
{ lang_float(FALSE); }
break;
case 173:
#line 707 "ldgram.y"
{
		  yyval.nocrossref = NULL;
		}
break;
case 174:
#line 711 "ldgram.y"
{
		  struct lang_nocrossref *n;

		  n = (struct lang_nocrossref *) xmalloc (sizeof *n);
		  n->name = yyvsp[-1].name;
		  n->next = yyvsp[0].nocrossref;
		  yyval.nocrossref = n;
		}
break;
case 175:
#line 720 "ldgram.y"
{
		  struct lang_nocrossref *n;

		  n = (struct lang_nocrossref *) xmalloc (sizeof *n);
		  n->name = yyvsp[-2].name;
		  n->next = yyvsp[0].nocrossref;
		  yyval.nocrossref = n;
		}
break;
case 176:
#line 730 "ldgram.y"
{ ldlex_expression(); }
break;
case 177:
#line 732 "ldgram.y"
{ ldlex_popstate(); yyval.etree=yyvsp[0].etree;}
break;
case 178:
#line 737 "ldgram.y"
{ yyval.etree = exp_unop('-', yyvsp[0].etree); }
break;
case 179:
#line 739 "ldgram.y"
{ yyval.etree = yyvsp[-1].etree; }
break;
case 180:
#line 741 "ldgram.y"
{ yyval.etree = exp_unop((int) yyvsp[-3].integer,yyvsp[-1].etree); }
break;
case 181:
#line 743 "ldgram.y"
{ yyval.etree = exp_unop('!', yyvsp[0].etree); }
break;
case 182:
#line 745 "ldgram.y"
{ yyval.etree = yyvsp[0].etree; }
break;
case 183:
#line 747 "ldgram.y"
{ yyval.etree = exp_unop('~', yyvsp[0].etree);}
break;
case 184:
#line 750 "ldgram.y"
{ yyval.etree = exp_binop('*', yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 185:
#line 752 "ldgram.y"
{ yyval.etree = exp_binop('/', yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 186:
#line 754 "ldgram.y"
{ yyval.etree = exp_binop('%', yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 187:
#line 756 "ldgram.y"
{ yyval.etree = exp_binop('+', yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 188:
#line 758 "ldgram.y"
{ yyval.etree = exp_binop('-' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 189:
#line 760 "ldgram.y"
{ yyval.etree = exp_binop(LSHIFT , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 190:
#line 762 "ldgram.y"
{ yyval.etree = exp_binop(RSHIFT , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 191:
#line 764 "ldgram.y"
{ yyval.etree = exp_binop(EQ , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 192:
#line 766 "ldgram.y"
{ yyval.etree = exp_binop(NE , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 193:
#line 768 "ldgram.y"
{ yyval.etree = exp_binop(LE , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 194:
#line 770 "ldgram.y"
{ yyval.etree = exp_binop(GE , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 195:
#line 772 "ldgram.y"
{ yyval.etree = exp_binop('<' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 196:
#line 774 "ldgram.y"
{ yyval.etree = exp_binop('>' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 197:
#line 776 "ldgram.y"
{ yyval.etree = exp_binop('&' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 198:
#line 778 "ldgram.y"
{ yyval.etree = exp_binop('^' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 199:
#line 780 "ldgram.y"
{ yyval.etree = exp_binop('|' , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 200:
#line 782 "ldgram.y"
{ yyval.etree = exp_trinop('?' , yyvsp[-4].etree, yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 201:
#line 784 "ldgram.y"
{ yyval.etree = exp_binop(ANDAND , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 202:
#line 786 "ldgram.y"
{ yyval.etree = exp_binop(OROR , yyvsp[-2].etree, yyvsp[0].etree); }
break;
case 203:
#line 788 "ldgram.y"
{ yyval.etree = exp_nameop(DEFINED, yyvsp[-1].name); }
break;
case 204:
#line 790 "ldgram.y"
{ yyval.etree = exp_bigintop (yyvsp[0].bigint.integer, yyvsp[0].bigint.str); }
break;
case 205:
#line 792 "ldgram.y"
{ yyval.etree = exp_nameop(SIZEOF_HEADERS,0); }
break;
case 206:
#line 795 "ldgram.y"
{ yyval.etree = exp_nameop(SIZEOF,yyvsp[-1].name); }
break;
case 207:
#line 797 "ldgram.y"
{ yyval.etree = exp_nameop(ADDR,yyvsp[-1].name); }
break;
case 208:
#line 799 "ldgram.y"
{ yyval.etree = exp_nameop(LOADADDR,yyvsp[-1].name); }
break;
case 209:
#line 801 "ldgram.y"
{ yyval.etree = exp_unop(ABSOLUTE, yyvsp[-1].etree); }
break;
case 210:
#line 803 "ldgram.y"
{ yyval.etree = exp_unop(ALIGN_K,yyvsp[-1].etree); }
break;
case 211:
#line 805 "ldgram.y"
{ yyval.etree = exp_binop (DATA_SEGMENT_ALIGN, yyvsp[-3].etree, yyvsp[-1].etree); }
break;
case 212:
#line 807 "ldgram.y"
{ yyval.etree = exp_unop(DATA_SEGMENT_END, yyvsp[-1].etree); }
break;
case 213:
#line 809 "ldgram.y"
{ yyval.etree = exp_unop(ALIGN_K,yyvsp[-1].etree); }
break;
case 214:
#line 811 "ldgram.y"
{ yyval.etree = exp_nameop(NAME,yyvsp[0].name); }
break;
case 215:
#line 813 "ldgram.y"
{ yyval.etree = exp_binop (MAX_K, yyvsp[-3].etree, yyvsp[-1].etree ); }
break;
case 216:
#line 815 "ldgram.y"
{ yyval.etree = exp_binop (MIN_K, yyvsp[-3].etree, yyvsp[-1].etree ); }
break;
case 217:
#line 817 "ldgram.y"
{ yyval.etree = exp_assert (yyvsp[-3].etree, yyvsp[-1].name); }
break;
case 218:
#line 822 "ldgram.y"
{ yyval.name = yyvsp[0].name; }
break;
case 219:
#line 823 "ldgram.y"
{ yyval.name = 0; }
break;
case 220:
#line 827 "ldgram.y"
{ yyval.etree = yyvsp[-1].etree; }
break;
case 221:
#line 828 "ldgram.y"
{ yyval.etree = 0; }
break;
case 222:
#line 831 "ldgram.y"
{ ldlex_expression(); }
break;
case 223:
#line 833 "ldgram.y"
{ ldlex_popstate (); ldlex_script (); }
break;
case 224:
#line 835 "ldgram.y"
{
			  lang_enter_output_section_statement(yyvsp[-5].name, yyvsp[-3].etree,
							      sectype,
							      0, 0, 0, yyvsp[-2].etree);
			}
break;
case 225:
#line 841 "ldgram.y"
{ ldlex_popstate (); ldlex_expression (); }
break;
case 226:
#line 843 "ldgram.y"
{
		  ldlex_popstate ();
		  lang_leave_output_section_statement (yyvsp[0].fill, yyvsp[-3].name, yyvsp[-1].section_phdr, yyvsp[-2].name);
		}
break;
case 227:
#line 848 "ldgram.y"
{}
break;
case 228:
#line 850 "ldgram.y"
{ ldlex_expression (); }
break;
case 229:
#line 852 "ldgram.y"
{ ldlex_popstate (); ldlex_script (); }
break;
case 230:
#line 854 "ldgram.y"
{
			  lang_enter_overlay (yyvsp[-4].etree);
			}
break;
case 231:
#line 859 "ldgram.y"
{ ldlex_popstate (); ldlex_expression (); }
break;
case 232:
#line 861 "ldgram.y"
{
			  ldlex_popstate ();
			  lang_leave_overlay (yyvsp[-10].etree, (int) yyvsp[-11].integer,
					      yyvsp[0].fill, yyvsp[-3].name, yyvsp[-1].section_phdr, yyvsp[-2].name);
			}
break;
case 234:
#line 871 "ldgram.y"
{ ldlex_expression (); }
break;
case 235:
#line 873 "ldgram.y"
{
		  ldlex_popstate ();
		  lang_add_assignment (exp_assop ('=', ".", yyvsp[0].etree));
		}
break;
case 237:
#line 881 "ldgram.y"
{ sectype = noload_section; }
break;
case 238:
#line 882 "ldgram.y"
{ sectype = dsect_section; }
break;
case 239:
#line 883 "ldgram.y"
{ sectype = copy_section; }
break;
case 240:
#line 884 "ldgram.y"
{ sectype = info_section; }
break;
case 241:
#line 885 "ldgram.y"
{ sectype = overlay_section; }
break;
case 243:
#line 890 "ldgram.y"
{ sectype = normal_section; }
break;
case 244:
#line 891 "ldgram.y"
{ sectype = normal_section; }
break;
case 245:
#line 895 "ldgram.y"
{ yyval.etree = yyvsp[-2].etree; }
break;
case 246:
#line 896 "ldgram.y"
{ yyval.etree = (etree_type *)NULL;  }
break;
case 247:
#line 901 "ldgram.y"
{ yyval.etree = yyvsp[-3].etree; }
break;
case 248:
#line 903 "ldgram.y"
{ yyval.etree = yyvsp[-7].etree; }
break;
case 249:
#line 907 "ldgram.y"
{ yyval.etree = yyvsp[-1].etree; }
break;
case 250:
#line 908 "ldgram.y"
{ yyval.etree = (etree_type *) NULL;  }
break;
case 251:
#line 913 "ldgram.y"
{ yyval.integer = 0; }
break;
case 252:
#line 915 "ldgram.y"
{ yyval.integer = 1; }
break;
case 253:
#line 920 "ldgram.y"
{ yyval.name = yyvsp[0].name; }
break;
case 254:
#line 921 "ldgram.y"
{ yyval.name = "*default*"; }
break;
case 255:
#line 926 "ldgram.y"
{
		  yyval.section_phdr = NULL;
		}
break;
case 256:
#line 930 "ldgram.y"
{
		  struct lang_output_section_phdr_list *n;

		  n = ((struct lang_output_section_phdr_list *)
		       xmalloc (sizeof *n));
		  n->name = yyvsp[0].name;
		  n->used = FALSE;
		  n->next = yyvsp[-2].section_phdr;
		  yyval.section_phdr = n;
		}
break;
case 258:
#line 946 "ldgram.y"
{
			  ldlex_script ();
			  lang_enter_overlay_section (yyvsp[0].name);
			}
break;
case 259:
#line 951 "ldgram.y"
{ ldlex_popstate (); ldlex_expression (); }
break;
case 260:
#line 953 "ldgram.y"
{
			  ldlex_popstate ();
			  lang_leave_overlay_section (yyvsp[0].fill, yyvsp[-1].section_phdr);
			}
break;
case 265:
#line 970 "ldgram.y"
{ ldlex_expression (); }
break;
case 266:
#line 971 "ldgram.y"
{ ldlex_popstate (); }
break;
case 267:
#line 973 "ldgram.y"
{
		  lang_new_phdr (yyvsp[-5].name, yyvsp[-3].etree, yyvsp[-2].phdr.filehdr, yyvsp[-2].phdr.phdrs, yyvsp[-2].phdr.at,
				 yyvsp[-2].phdr.flags);
		}
break;
case 268:
#line 981 "ldgram.y"
{
		  yyval.etree = yyvsp[0].etree;

		  if (yyvsp[0].etree->type.node_class == etree_name
		      && yyvsp[0].etree->type.node_code == NAME)
		    {
		      const char *s;
		      unsigned int i;
		      static const char * const phdr_types[] =
			{
			  "PT_NULL", "PT_LOAD", "PT_DYNAMIC",
			  "PT_INTERP", "PT_NOTE", "PT_SHLIB",
			  "PT_PHDR", "PT_TLS"
			};

		      s = yyvsp[0].etree->name.name;
		      for (i = 0;
			   i < sizeof phdr_types / sizeof phdr_types[0];
			   i++)
			if (strcmp (s, phdr_types[i]) == 0)
			  {
			    yyval.etree = exp_intop (i);
			    break;
			  }
		      if (i == sizeof phdr_types / sizeof phdr_types[0])
			{
			  if (strcmp (s, "PT_GNU_EH_FRAME") == 0)
			    yyval.etree = exp_intop (0x6474e550);
			  else
			    {
			      einfo (_("\
%X%P:%S: unknown phdr type `%s' (try integer literal)\n"),
				     s);
			      yyval.etree = exp_intop (0);
			    }
			}
		    }
		}
break;
case 269:
#line 1023 "ldgram.y"
{
		  memset (&yyval.phdr, 0, sizeof (struct phdr_info));
		}
break;
case 270:
#line 1027 "ldgram.y"
{
		  yyval.phdr = yyvsp[0].phdr;
		  if (strcmp (yyvsp[-2].name, "FILEHDR") == 0 && yyvsp[-1].etree == NULL)
		    yyval.phdr.filehdr = TRUE;
		  else if (strcmp (yyvsp[-2].name, "PHDRS") == 0 && yyvsp[-1].etree == NULL)
		    yyval.phdr.phdrs = TRUE;
		  else if (strcmp (yyvsp[-2].name, "FLAGS") == 0 && yyvsp[-1].etree != NULL)
		    yyval.phdr.flags = yyvsp[-1].etree;
		  else
		    einfo (_("%X%P:%S: PHDRS syntax error at `%s'\n"), yyvsp[-2].name);
		}
break;
case 271:
#line 1039 "ldgram.y"
{
		  yyval.phdr = yyvsp[0].phdr;
		  yyval.phdr.at = yyvsp[-2].etree;
		}
break;
case 272:
#line 1047 "ldgram.y"
{
		  yyval.etree = NULL;
		}
break;
case 273:
#line 1051 "ldgram.y"
{
		  yyval.etree = yyvsp[-1].etree;
		}
break;
case 274:
#line 1059 "ldgram.y"
{
		  ldlex_version_file ();
		  PUSH_ERROR (_("VERSION script"));
		}
break;
case 275:
#line 1064 "ldgram.y"
{
		  ldlex_popstate ();
		  POP_ERROR ();
		}
break;
case 276:
#line 1073 "ldgram.y"
{
		  ldlex_version_script ();
		}
break;
case 277:
#line 1077 "ldgram.y"
{
		  ldlex_popstate ();
		}
break;
case 280:
#line 1089 "ldgram.y"
{
		  lang_register_vers_node (NULL, yyvsp[-2].versnode, NULL);
		}
break;
case 281:
#line 1093 "ldgram.y"
{
		  lang_register_vers_node (yyvsp[-4].name, yyvsp[-2].versnode, NULL);
		}
break;
case 282:
#line 1097 "ldgram.y"
{
		  lang_register_vers_node (yyvsp[-5].name, yyvsp[-3].versnode, yyvsp[-1].deflist);
		}
break;
case 283:
#line 1104 "ldgram.y"
{
		  yyval.deflist = lang_add_vers_depend (NULL, yyvsp[0].name);
		}
break;
case 284:
#line 1108 "ldgram.y"
{
		  yyval.deflist = lang_add_vers_depend (yyvsp[-1].deflist, yyvsp[0].name);
		}
break;
case 285:
#line 1115 "ldgram.y"
{
		  yyval.versnode = lang_new_vers_node (NULL, NULL);
		}
break;
case 286:
#line 1119 "ldgram.y"
{
		  yyval.versnode = lang_new_vers_node (yyvsp[-1].versyms, NULL);
		}
break;
case 287:
#line 1123 "ldgram.y"
{
		  yyval.versnode = lang_new_vers_node (yyvsp[-1].versyms, NULL);
		}
break;
case 288:
#line 1127 "ldgram.y"
{
		  yyval.versnode = lang_new_vers_node (NULL, yyvsp[-1].versyms);
		}
break;
case 289:
#line 1131 "ldgram.y"
{
		  yyval.versnode = lang_new_vers_node (yyvsp[-5].versyms, yyvsp[-1].versyms);
		}
break;
case 290:
#line 1138 "ldgram.y"
{
		  yyval.versyms = lang_new_vers_pattern (NULL, yyvsp[0].name, ldgram_vers_current_lang);
		}
break;
case 291:
#line 1142 "ldgram.y"
{
		  yyval.versyms = lang_new_vers_pattern (yyvsp[-2].versyms, yyvsp[0].name, ldgram_vers_current_lang);
		}
break;
case 292:
#line 1146 "ldgram.y"
{
			  yyval.name = ldgram_vers_current_lang;
			  ldgram_vers_current_lang = yyvsp[-1].name;
			}
break;
case 293:
#line 1151 "ldgram.y"
{
			  yyval.versyms = yyvsp[-2].versyms;
			  ldgram_vers_current_lang = yyvsp[-3].name;
			}
break;
case 294:
#line 1156 "ldgram.y"
{
			  yyval.name = ldgram_vers_current_lang;
			  ldgram_vers_current_lang = yyvsp[-1].name;
			}
break;
case 295:
#line 1161 "ldgram.y"
{
			  yyval.versyms = yyvsp[-2].versyms;
			  ldgram_vers_current_lang = yyvsp[-3].name;
			}
break;
#line 2734 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
